<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\User;
use App\Models\Restaurantsetting;
use App\Models\Language;
use App\Models\Review;
use App\Helpers\s3upload;
use App\Helpers\Admin;
use App\Helpers\RestaurantHelper;
use Illuminate\Support\Facades\Storage;
use App\Helpers\DeleteAffectedHelper;
use App\Models\Fooditems;
use App\Models\Restaurantmenu;
use App\Models\Promotion;
use App\Models\Bannerdeals;
use App\Models\Restaurant;
use App\Models\Usersubscription;
use App\Models\Orders;
use App\Models\UserCredits;
use App\Models\Tableqrcode;
use App\Models\Restaurant_bank_details;
use DB;
use DataTables;
use Session;



class RestaruntController extends Controller
{
     /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
    $permission = Admin::checkPermission(Session::get('user_id'),'Restaurants','View');
    
      if($permission == 0){
        
         return redirect()->route('admin.dashboard')->with('message','You dont have permission to do this action')->send();


      }else {
      
      
        if ($request->ajax())
        {
           
            if($request->has('id')){
                 $data = User::where('user_type','=','r')->where('added_user_id',$request->id)->where('is_deleted','=','0')->get();

                 return Datatables::of($data)
              ->addIndexColumn()
              ->addColumn('profile_image', function($row){
                  $url= env('project_image_path').'profile/'.$row->profile_image;
                  return '<img src="'.$url.'" border="0" width="40" class="img-rounded" align="center" />';
              })
              ->addColumn('mobilenumber', function($row){
                  return $row->country_code.'-'.$row->mobile_number;
              })
              ->addColumn('createdat', function($row){
                  return date('d-m-Y', strtotime($row->created_at));
              })
              ->addColumn('approved_date', function($row){
                  return date('d-m-Y', strtotime($row->updated_at));
              })
              ->addColumn('subscription', function($row){
                  return $row->is_subscribe;
              })
              ->addColumn('earnings', function($row){
                 $dayfrom = now()->subDays(1);
                 $weekfrom = now()->subDays(7);
                 $month = now()->subDays(30);
                 $to = now();

                 $daily =  Orders::whereBetween('created_at', [$dayfrom, $to])->where('restaurant_id','=',$row->id)->where('order_status','=','co')->sum('total_amount_pay');

                $weekly =  Orders::whereBetween('created_at', [$weekfrom, $to])->where('restaurant_id','=',$row->id)->where('order_status','=','co')->sum('total_amount_pay');

                 $month =  Orders::whereBetween('created_at', [$month, $to])->where('restaurant_id','=',$row->id)->where('order_status','=','co')->sum('total_amount_pay');
                
                 // return  '<b>Daily:-</b>'.' '. $daily.'<br>'.'<b>Weekly:-</b> '.$weekly.'<br>'.'<b>Monthly:-</b> '.$month;
                   return  '<b>Daily:-</b>'.' '. number_format($daily,2).'<br>'.'<b>Weekly:-</b> '. number_format($weekly,2).'<br>'.'<b>Monthly:-</b> '. number_format($month,2);
              })
              ->addColumn('action', function($row){
                  $urlpath = url('admin/restaurant');
                  $update = Admin::checkPermission(Session::get('user_id'),'Restaurants','Update');
                  //$delete = Admin::checkPermission(Session::get('user_id'),'Restaurants','Delete');
                    $btn = '';
                    if($update == 1){
                      $btn = '<a href="javascript:void(0);" onClick="poplureFunc('.$row->id.')" class=" dropdown-item"><i class="zmdi zmdi-pin-account zmdi-hc-fw text-secondary"></i>Popular/Unpopular</a>';
                    }

                  return '<div class="btn-group dot-view-acation"><a href="#" data-toggle="dropdown" class="btn btn-default btn-sm btn-icon-only transparent" title=""><i class="zmdi zmdi-more"></i></a>
                            <div class="dropdown-menu dropdown-icon-menu dropdown-menu-right"> 
                                                 <a href="'.$urlpath.'/viewbranch/'. $row->added_user_id .'/'. $row->id .'" class="dropdown-item"><i class="zmdi zmdi-eye zmdi-hc-fw text-secondary"></i>View</a>
                                                 '.$btn.'</div></div>';
              })
              ->rawColumns(['profile_image','mobilenumber','createdat','approved_date','subscription','earnings','action'])
              ->make(true);
            } else
            {
            $data = User::where('is_deleted','0')->where('user_type','r')->where('added_user_id',null)->get();
      
            }
            return Datatables::of($data)
              ->addIndexColumn()
              ->addColumn('profile_image', function($row){
                  $url= env('project_image_path').'profile/'.$row->profile_image;
                  return '<img src="'.$url.'" border="0" width="40" class="img-rounded" align="center" />';
              })
              ->addColumn('mobilenumber', function($row){
                  return $row->country_code.'-'.$row->mobile_number;
              })
              ->addColumn('createdat', function($row){
                  return date('d-m-Y', strtotime($row->created_at));
              })
              ->addColumn('approved_date', function($row){
                  return date('d-m-Y', strtotime($row->updated_at));
              })
             ->addColumn('subscription', function($row){
                  return '';
              })
              ->addColumn('earnings', function($row){
                 $dayfrom = now()->subDays(1);
                 $weekfrom = now()->subDays(7);
                 $month = now()->subDays(30);
                 $to = now();

                 $daily =  Orders::whereBetween('created_at', [$dayfrom, $to])->where('restaurant_id','=',$row->id)->where('order_status','=','co')->sum('total_amount_pay');

                $weekly =  Orders::whereBetween('created_at', [$weekfrom, $to])->where('restaurant_id','=',$row->id)->where('order_status','=','co')->sum('total_amount_pay');

                 $month =  Orders::whereBetween('created_at', [$month, $to])->where('restaurant_id','=',$row->id)->where('order_status','=','co')->sum('total_amount_pay');
                  return  '<b>Daily:-</b>'.' '. number_format($daily,2).'<br>'.'<b>Weekly:-</b> '. number_format($weekly,2).'<br>'.'<b>Monthly:-</b> '. number_format($month,2);
                 // return  '<b>Daily:-</b>'.' '. $daily.'<br>'.'<b>Weekly:-</b> '.$weekly.'<br>'.'<b>Monthly:-</b> '.$month;
              })
              ->addColumn('action', function($row){
                  $urlpath = url('admin/restaurant');
                  $update = Admin::checkPermission(Session::get('user_id'),'Restaurants','Update');
                  //$delete = Admin::checkPermission(Session::get('user_id'),'Restaurants','Delete');
                
                    $btn = '';
                    if($update == 1){
                      $btn = '
                                                
                                                <a href="javascript:void(0);" onClick="adminVerify('.$row->id.')" class=" dropdown-item"><i class="zmdi zmdi-account zmdi-hc-fw text-secondary"></i>Approve/Reject</a>

                                                <a href="javascript:void(0);" onClick="changeStatus('.$row->id.')" class=" dropdown-item"><i class="zmdi zmdi-account zmdi-hc-fw text-secondary"></i>Block/Unblock</a>
                                             
                                                <a href="javascript:void(0);" onClick="poplureFunc('.$row->id.')" class=" dropdown-item"><i class="zmdi zmdi-pin-account zmdi-hc-fw text-secondary"></i>Popular/Unpopular</a>

                                                  <a href="'.$urlpath.'/unifonic_account/'. $row->id .'" class=" dropdown-item"><i class="zmdi zmdi-inbox zmdi-hc-fw text-secondary"></i> Unifonic Account</a>';
                    }

                  return '<div class="btn-group dot-view-acation"><a href="#" data-toggle="dropdown" class="btn btn-default btn-sm btn-icon-only transparent" title=""><i class="zmdi zmdi-more"></i></a>
                            <div class="dropdown-menu dropdown-icon-menu dropdown-menu-right"> 
                                                 <a href="'.$urlpath.'/view/'. $row->id .'" class="dropdown-item"><i class="zmdi zmdi-eye zmdi-hc-fw text-secondary"></i>View</a>
                                                 '.$btn.'</div></div>';
              })
              ->rawColumns(['profile_image','mobilenumber','createdat','approved_date','subscription','earnings','action'])
              ->make(true);
        }
        return view('admin.restaurant.list');
    }
    }

    public function edit($id) {
        $user = User::find($id)->toArray();
        return view('admin.restaurant.edit')->with('user',$user);
    }


    public function update(Request $request){

    	$this->validate($request, [
            'full_name' => 'required',
            'mobile_number' => 'required',
            'email' => 'required|email',
            'status' => 'required',
            'is_admin_verify' => 'required',
        ]);

        $user = User::find($request->user_id);
        $user->full_name = $request->full_name;
        $user->mobile_number = $request->mobile_number;
        $user->email = $request->email;
        $user->status = $request->status;
        $user->is_admin_verify = $request->is_admin_verify;
        // $user->restaurant_name = $request->restaurant_name;
        // $user->city = $request->city;
        // $user->address = $request->address;
        if($request->has('profile_image')){
            $file1 = $request->file()['profile_image'];
            $imageName=$file1->getClientOriginalName();
            $file = $_FILES['profile_image']['tmp_name'];
            $path = env('AWS_BUCKET_FOLDER') . env('USER_IMAGE');
            $contents = s3upload::uploadImage($imageName, $file, $path); // calling helper function
            $user->profile_image = $contents;
        }
        $user->update();
        return redirect()->route('admin.restaurant.list')->with('message', 'Restarunt record updated successfully!');
    }

    public function delete($id){
        $user = User::find($id);
        DeleteAffectedHelper::DeleteAffectedTableData($id);
        if($user->is_deleted == '1'){
            $user->is_deleted = "0";
        } else {
            $user->is_deleted = "1";
        }
        $user->update();
        return response()->json([
            'success' => 'Record has been deleted successfully!'
        ]);
    }

    public function popular($id){
        $user = User::find($id);
      
        if($user->is_popular == '1'){
            $user->is_popular = "0";
        } else {
            $user->is_popular = "1";
        }
        $user->update();
        return response()->json([
            'success' => 'Record has been update successfully!'
        ]);
    }

    public function adminVerify($id){
        $user = User::find($id);
        $user_bank_details = Restaurant_bank_details::where('user_id',$id)->first();
        if($user->is_admin_verify == '1'){
            $user->is_admin_verify = "0";
            $message = 'Account rejected';
        } else {
             $message = 'Account Approve successfully!';

            $user->is_admin_verify = "1";
            $user->signup_step = "profile_completed";
            if(!empty($user_bank_details) && $user_bank_details != null){
                if($user_bank_details->business_id == null || $user_bank_details->entity_id == null || $user_bank_details->destination_id == null){
                    $create_business_destination = RestaurantHelper::create_business_destination($user,$user_bank_details);
                    if(empty($create_business_destination->errors)){
                            $user_bank_details->business_id = $create_business_destination->id;
                            $user_bank_details->entity_id = $create_business_destination->entity->id;
                            $user_bank_details->destination_id = $create_business_destination->destination_id;
                            $user_bank_details->business = json_encode($create_business_destination);
                            $user_bank_details->update();
                             $user->is_admin_verify_date = now();
                             $user->update();
                            return response()->json([
                          'success' => $message
                       ]);
                    }elseif(!empty($create_business_destination->errors[0]->description)){
                                 return response()->json([
                         'error' => $create_business_destination->errors[0]->description
                        ]);
                    }elseif(!empty($create_business_destination->errors[0]->message)){
                                 return response()->json([
                         'error' => $create_business_destination->errors[0]->message
                        ]);
                    }
                    else{
                        return response()->json([
                         'error' => 'Something Worng'
                  ]);
                    }
                }                
            }else{
                return response()->json([
            'error' => 'Bank details not added by restaurant!'
        ]);
            }

        }
        $user->is_admin_verify_date = now();
        $user->update();
        return response()->json([
            'success' => $message
        ]);
    }

     public function changeStatus($id){
        $user = User::find($id);
        if($user->status == '1'){
            $user->status = "0";
        } else {
            $user->status = "1";
        }
        $user->update();
        return response()->json([
            'success' => 'Record status has been changed successfully!'
        ]);
    }
      public function unifonic_account($id) {
      $unifonic = DB::table('restaurant_settings')
            ->select('id','unifonic_app_id','unifonic_sender_id','unifonic_email','unifonic_password')
            ->where('restaurant_id',$id)
            ->get()->first();
      if($unifonic == null){
         $setting = new Restaurantsetting();
         $setting->restaurant_id = $id;
         $setting->save();
         $unifonic = DB::table('restaurant_settings')
            ->select('id','unifonic_app_id','unifonic_sender_id','unifonic_email','unifonic_password')
            ->where('restaurant_id',$id)
            ->get()->first();
      }
     return view('admin.restaurant.unifonic',compact('unifonic'));
   }   
   public function unifonic_add(Request $request){


        $this->validate($request, [
            'unifonic_app_id' => 'required',
            'unifonic_sender_id' => 'required',
            'unifonic_email' => 'required|email',
            'unifonic_password' => 'required',
        ]);

        $restaurant = Restaurantsetting::find($request->id);
        $restaurant->unifonic_app_id = $request->unifonic_app_id;
        $restaurant->unifonic_sender_id = $request->unifonic_sender_id;
        $restaurant->unifonic_email = $request->unifonic_email;
        $restaurant->unifonic_password = $request->unifonic_password;
      
        $restaurant->update();
        return redirect()->route('admin.restaurant.list')->with('message', 'Restaurant unifonic account added successfully!');

   }

    public function view($id) {
        $user = DB::table('users')
            ->leftjoin('restaurant_bank_details', 'users.id', '=', 'restaurant_bank_details.user_id')
            ->select('users.*', 'users.created_at as register_date','restaurant_bank_details.*')
            ->where('users.id',$id)
            ->get()->first();
        $total_orders = DB::table('orders')->where('restaurant_id','=',$id)->where('payment_method','!=','p')->count();
        $total_fooditems = Fooditems::where('food_items.is_deleted','=','0')
            ->whereExists(function ($query) use ($id){
                $query->orWhere('food_items.added_user_id',$id)->orWhere('food_items.restaurant_id',$id)->orWhere('food_items.restaurant_id',$id);
                })
            ->count();
        $total_restaurantmenu =  Restaurantmenu::where('is_deleted','=','0')
            ->whereExists(function ($query) use ($id){
                $query->orWhere('added_user_id',$id)->orWhere('restaurant_id',$id)->orWhere('restaurant_id',$id);
                })->count();

        $total_promotion = Promotion::where('added_user_id','=',$id)->where('is_deleted','=','0')->count();
        $total_bannerdeals = Bannerdeals::where('added_user_id','=',$id)->where('is_deleted','=','0')->count();
        $total_waiter = Restaurant::where('added_user_id','=',$id)->where('user_type','=','rw')->where('is_deleted','=','0')->count();

        $usersubscription =  Usersubscription::select('transaction_id','order_date','expiry_date')->where(['status'=>'1','is_deleted'=>'0','restaurant_id'=> $id])->first();



        $total_earning = Orders::where('restaurant_id','=',$id)->where('order_status','=','co')->sum('total_amount_pay');
         $usercredits = UserCredits:: where('user_credits.restaurant_id',$id)->where('user_credits.status','1')->join('promotion_credits','promotion_credits.id','=','user_credits.credit_id')->first();
         if($usercredits == '' && empty($usercredits) && $usercredits == null){
            $total_credits['spent'] = '0';
            $total_credits['purchased'] = '0';
            $total_credits['remaining'] = '0';  
         } else {
        $total_credits['spent'] = $usercredits->used_credit;
        $total_credits['purchased'] = $usercredits->total_credits;
        $total_credits['remaining'] = $usercredits->total_credits - $usercredits->used_credit;
        }
        $table_qr_codes = Tableqrcode::where(array('restaurant_id'=>$id,'is_delete'=>'0'))->count();
        return view('admin.restaurant.view',compact('user','total_orders','total_fooditems','table_qr_codes','total_restaurantmenu','total_promotion','total_bannerdeals','total_waiter','total_credits','total_earning','usersubscription'));
    }

    public function deleteReview($id)
    {
        $review = Review::where('id', $id)->firstorfail()->delete();
        return response()->json([
            'data' => $review,
            'message' => 'Record is delete successfully',
        ]);
    }
    public function viewbranch($id,$branch){
        $user = DB::table('users')
            ->leftjoin('restaurant_bank_details', 'users.id', '=', 'restaurant_bank_details.user_id')
            ->select('users.*','users.created_at as register_date','restaurant_bank_details.*')
            ->where('users.id',$branch)
            ->get()->first();
        $total_orders = DB::table('orders')->where('restaurant_id','=',$branch)->where('payment_method','!=','p')->count();
        $total_fooditems = Fooditems::where('food_items.is_deleted','=','0')
            ->whereExists(function ($query) use ($branch){
                $query->orWhere('food_items.added_user_id',$branch)->orWhere('food_items.restaurant_id',$branch)->orWhere('food_items.restaurant_id',$branch);
                })
            ->count();
        $total_restaurantmenu =  Restaurantmenu::where('is_deleted','=','0')
            ->whereExists(function ($query) use ($branch){
                $query->orWhere('added_user_id',$branch)->orWhere('restaurant_id',$branch)->orWhere('restaurant_id',$branch);
                })->count();

        $total_promotion = Promotion::where('added_user_id','=',$branch)->where('is_deleted','=','0')->count();
        $total_bannerdeals = Bannerdeals::where('added_user_id','=',$branch)->where('is_deleted','=','0')->count();
        $total_waiter = Restaurant::where('added_user_id','=',$branch)->where('user_type','=','rw')->where('is_deleted','=','0')->count();

        $usersubscription =  Usersubscription::select('transaction_id','order_date','expiry_date')->where(['status'=>'1','is_deleted'=>'0','restaurant_id'=> $branch])->first();



        $total_earning = Orders::where('restaurant_id','=',$branch)->where('order_status','=','co')->sum('total_amount_pay');
        $total_credits = 0;
        $table_qr_codes = 0;

        return view('admin.restaurant.viewbranch',compact('user','total_orders','total_fooditems','table_qr_codes','total_restaurantmenu','total_promotion','total_bannerdeals','total_waiter','total_credits','total_earning','usersubscription'));
    }
}
