<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Traits\ConsumeExternalService;
use App\Models\User;
use App\Models\Userdevice;
use App\Helpers\EncryptDecrypt;
use App\Models\Report as reports;
use App\Models\Language;
use DataTables;
use App\Helpers\s3upload;
use Illuminate\Support\Facades\Storage;
use DB;
use App\Helpers\DeleteAffectedHelper;
use GuzzleHttp\Psr7\Request as Psr7Request;
use Session;
use Mail;

class Report extends Controller
{

    use ConsumeExternalService;
    public function report(Request $request){
        $data = reports::select('tbl_schedule_inspection.*','u.full_name as user_name','u.email as email','us.full_name as inspector_name')
        ->join('tbl_user as u', 'tbl_schedule_inspection.user_id', 'u.id')
        ->join('tbl_user as us', 'tbl_schedule_inspection.inspector_id', 'us.id')
        ->where('tbl_schedule_inspection.id',$request->id)->get();
        $user = Userdevice::where('user_id',$data[0]->user_id)->get();
        $post_data = [];
        $post_data['inspection_id'] = $request->id;
        $post_data['type'] = 'W';
        $headers['TOKEN']=EncryptDecrypt::bodyEncrypt($user[0]->token);
        $data1 = EncryptDecrypt::bodyEncrypt(json_encode($post_data));
        $response = $this->performRequest("POST", "/api/v1/user/reportpdf", $data1,$headers);
        $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));
        if (!empty($response_decoded) && ($response_decoded->code == 0 && $response_decoded->code == '0')) {
            $output['status']           = 'error';
            $output['message']          = $response_decoded->message;
        } elseif (!empty($response_decoded) && ($response_decoded->code == 1 && $response_decoded->code == '1')) {
            $output['status']           = 'success';
            $output['message']          = $response_decoded->message;
            // echo "<pre>";print_r(json_encode($response_decoded->data[0]->introduction->intro_id[0]->location));die;

            // $data['response_decoded']=$response_decoded;
            return view('report',compact('response_decoded','data'));
        }
        
    }

}
?>