<?php

namespace App\Http\Controllers;

use DB;
use Mail;
use Carbon\Carbon;
use GuzzleHttp\Client;
use Illuminate\Http\Request;
use App\Helpers\EncryptDecrypt;
use App\Traits\ConsumeExternalService;
use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Storage;
use GuzzleHttp\Exception\GuzzleException;


class ScheduleInspenctionController extends Controller
{
    use ConsumeExternalService;


    public function addScheduleInspenction(Request $request)
    {

        // dd($request);
        if ($request->isMethod('get')) {

            $data['id'] = $request->id;

            $headerData['token'] = Session::get('token');
            $postData = EncryptDecrypt::bodyEncrypt(json_encode($data));
            $response = $this->performRequest("POST", "/api/v1/user/realtorlist", $postData, $headerData);
            $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));

            if ($response_decoded->code == 1) {
                $data['code'] = $response_decoded->code;
                $data['data'] = $response_decoded->data;
            } else {
                $data['code'] = $response_decoded->code;
                $data['data'] = [];
            }

            return view('website.schedule-inspection', $data);
        } else {


            $inspection_data = [];

            $inspection_data['inspector_id'] = 0;
            $inspection_data['client_info']['client_name'] = $request->client_name;
            $inspection_data['client_info']['email'] = $request->client_email;
            $inspection_data['client_info']['country_code'] = $request->client_country_code;
            $inspection_data['client_info']['phone_number'] = $request->client_phone_number;
            $inspection_data['client_info']['private_note'] = $request->private_note;


            $realtorArray[] = [
                'realtor_id' => $request->realtor_id,
                'realtor_name' => $request->realtor_name,
                'email' => $request->email,
                'country_code' => $request->country_code,
                'phone_number' => $request->phone_number,
            ];

            $inspection_data['realtor_info'] = $realtorArray;


            // $realtorArray = []; 
            // for ($i = 0; $i < count($request->realtor_id); $i++) {
            //     $realtorArray[] = [
            //         'realtor_id' => $request->realtor_id[$i],
            //         'realtor_name' => $request->realtor_name[$i],
            //         'email' => $request->email[$i],
            //         'country_code' => $request->country_code[$i],
            //         'phone_number' => $request->phone_number[$i],
            //     ];
            // }


            $inspection_data['inspection_date_time'] = $request->inspection_date_time;
            $inspection_data['inspection_address'] = $request->inspection_address;
            $inspection_data['latitude'] = $request->latitude;
            $inspection_data['longitude'] = $request->longitude;
            // dd( $inspection_data);

            Session::put('inspection_data', $inspection_data);


            // if ($request->has('modal_form')) {

            //     return redirect()->back();
            // } else {

            return redirect()->route('website.map');
            // }
        }
    }




    public function map(Request $request)
    {
        if ($request->isMethod('get')) {
            return view('website/map');
        } else {

            $userData = Session::get('inspection_data');


            $userData['inspection_address'] = $request->inspection_address;
            $userData['house_number'] = $request->house_number;
            $userData['zipcode'] = $request->zip_code;
            $userData['city'] = $request->city;

            $userData['latitude'] = $request->latitude;
            $userData['longitude'] = $request->longitude;



            // dd($userData);

            $headerData['token'] = Session::get('token');
            $user_Data = EncryptDecrypt::bodyEncrypt(json_encode($userData));
            // $response = $this->performRequest("POST", "/api/v1/user/scheduleinspection", $user_Data);
            $response = $this->performRequest("POST", "/api/v1/user/scheduleinspection", $user_Data, $headerData);
            $response_decoded = json_decode(EncryptDecrypt::bodyDecrypt($response));



            // dd($response_decoded);



            // $r_data = Session::get('realtor_data');
            // // dd('realtor_info', $r_data);

            // $user_Data_r = EncryptDecrypt::bodyEncrypt(json_encode($r_data));
            // $response_r = $this->performRequest("POST", "/api/v1/user/scheduleinspection", $user_Data_r, $headerData);
            // $response_decoded_r = json_decode(EncryptDecrypt::bodyDecrypt($response_r));

            // // dd($response_decoded_r);


            return redirect()->route('website.home');
        }
    }
}
