<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <link rel=icon href="{{asset('web/images/favicon.png')}}" sizes="20x20" type="image/png">
        <title>Login | {{ config('app.name') }}</title>
        <link rel="stylesheet" href="{{ asset('assets/plugins/bootstrap/css/bootstrap.min.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/css/main.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/css/authentication.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/css/color_skins.css') }}">
        <link rel="stylesheet" href="{{ asset('assets/css/custom_change.css') }}">
        <link type='text/css' rel="stylesheet" href="{{ asset('assets/css/toasted.min.css')}}">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons"  rel="stylesheet">
    </head>
    <body class="theme-orange">
        @include('admin.common.loader')
        <div class="authentication">
            <div class="card">
                <div class="body">
                    <div class="row"><div class="col-lg-12">
                        <div class="header slideDown">
                            <div class="logo">  <h3 style="color:#f88238;">{{ config('app.name') }}</h3></div>
                            <h1>Welcome To {{ config('app.name') }} Admin</h1>
                        </div>
                    </div>
                    <form class="col-lg-12" id="loginform" name="loginform" method="POST" action="{{ route('admin.login.check') }}">
                        @csrf
                        <h5 class="title">Sign in to your Account</h5>
                        <div class="form-group form-float">
                            <div class="form-line">
                                <input class="form-control" type="text" id="email" name="email" placeholder="" tabindex="1" value="@if(old('email')){{ old('email')}}@elseif(\App\Helpers\Admin::getRememberMeCookie()['email']){{ (\App\Helpers\Admin::getRememberMeCookie())['email'] }}@endif">
                                <label class="form-label">Email</label>
                            </div>
                            @error('email')
                                <label class="error" role="alert">{{ $message }}</label>
                            @enderror
                        </div>
                        <div class="form-group form-float">
                            <div class="form-line">
                                <input class="form-control" type="password" name="password" id="password" placeholder="" tabindex="2" value="@if(\App\Helpers\Admin::getRememberMeCookie()['password']){{ \App\Helpers\Admin::getRememberMeCookie()['password'] }}@endif">
                                <label class="form-label">Password</label>
                            </div>
                            @error('password')
                                <label class="error" role="alert">{{ $message }}</label>
                            @enderror
                        </div>
                        <div>
                            <input type="checkbox" style="display: none;" name="rememberme" id="rememberme" class="filled-in chk-col-cyan" @if(\App\Helpers\Admin::getRememberMeCookie()['email']) {{ 'checked' }} @endif>
                            <label for="rememberme">Remember Me</label>
                        </div>
                        <div class="col-lg-12">
                            <input type="submit" value="Log In" class="btn btn-raised btn-yellow waves-effect btnLogin">
                        </div>
                    </form>
                    <div class="col-lg-12 m-t-20">
                        <a class="" href="#">Forgot Password?</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
<script src="{{ asset('assets/plugins/jquery/jquery-v3.2.1.min.js') }}"></script>
<script src="{{ asset('assets/bundles/libscripts.bundle.js') }}"></script>
<script src="{{ asset('assets/bundles/vendorscripts.bundle.js') }}"></script>
<script src="{{ asset('assets/bundles/mainscripts.bundle.js') }}"></script>
<script src="{{ asset('assets/js/jquery.validate.min.js') }}"></script>
<script src="{{ asset('assets/js/jquery-validation-additional-methods.min.js') }}"></script>
<script src="{{ asset('assets/js/toasted.min.js')}}"></script>
@include('admin.common.toastNotification')
<script type="text/javascript">
    $(document).ready(function(){
        function loader(showOrHide) {
            showOrHide == 'show' ? $('.page-loader-wrapper').show() : $('.page-loader-wrapper').hide() ;
        }
        @if(Session::has('flash-message'))
            @if(Session::get('flash-message.status') == 'success')
                successNotification("{{Session::get('flash-message.msg')}}")
            @elseif(Session::get('flash-message.status') == 'warning')
                warningNotification("{{Session::get('flash-message.msg')}}")
            @else
                errorNotification("{{Session::get('flash-message.msg')}}")
            @endif
        @endif
        @if(\App\Helpers\Admin::getRememberMeCookie()['email'] || old('email'))
            $('.form-line').addClass('focused');
        @endif
        jQuery.validator.addMethod("validEmail", function(value, element) {
            var emailRegex = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            return this.optional(element) || (emailRegex.test(String(value).toLowerCase()));
        }, "Please enter a valid email");
        $("#loginform").validate({
            rules: {
                email: {
                    required: true,
                    email:email,
                    validEmail: true,
                },
                password: {
                    required: true,
                }
            },
            messages: {
                email: {
                    required: "Please enter email",
                    email:"Please enter a valid email",
                },
                password: {
                    required: "Please enter password",
                }
            },
            submitHandler:function(form) {
                loader('show');
                form.submit();
            },
            highlight: function (input) {
                $(input).parents('.form-line').addClass('error');
            },
            unhighlight: function (input) {
                $(input).parents('.form-line').removeClass('error');
            },
            errorPlacement: function (error, element) {
                $(element).parents('.form-group').append(error);
            }
        });
    });
</script>
