<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <link rel="icon" href="{{url('assets/images/favicon.png')}}" type="image/x-icon">
        <title>Reset Password | {{ config('app.name') }}</title>
        <link rel="stylesheet" href="{{ url('assets/plugins/bootstrap/css/bootstrap.min.css') }}">
        <link rel="stylesheet" href="{{ url('assets/css/main.css') }}">
        <link rel="stylesheet" href="{{ url('assets/css/authentication.css') }}">
        <link rel="stylesheet" href="{{ url('assets/css/color_skins.css') }}">
        <link rel="stylesheet" href="{{ url('assets/css/custom_change.css') }}">
        <link type='text/css' rel="stylesheet" href="{{ url('assets/css/toasted.min.css')}}">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons"  rel="stylesheet">
    </head>
    <body class="theme-orange">
        @include('admin.common.loader')
        <div class="authentication">
            <div class="card">
                <div class="body">
                    <div class="row"><div class="col-lg-12">
                        <div class="header slideDown">
                            <div class="logo"><img src="{{url('assets/images/logo.svg')}}" alt="{{ config('app.name') }}"></div>
                            <h1>Reset Your Password</h1>
                        </div>
                    </div>
                    <form class="col-lg-12" id="resetPasswordform" method="POST" action="{{ route('admin.reset.password.update', ['token' => $token->token]) }}">
                        {{ csrf_field() }}
                        <h5 class="title">Enter new password and confirm new password and then click on submit</h5>
                        <div class="form-group form-float">
                            <div class="form-line">
                                <input class="form-control" type="password" name="new_password" id="new_password">
                                @error('new_password')
                                <label class="error" role="alert">{{ $message }}</label>
                                @enderror
                                <label class="form-label">New Password</label>
                            </div>
                        </div>
                        <div class="form-group form-float">
                            <div class="form-line">
                                <input class="form-control" type="password" name="confirm_new_password" id="confirm_new_password">
                                @error('confirm_new_password')
                                <label class="error" role="alert">{{ $message }}</label>
                                @enderror
                                <label class="form-label">Confirm New Password</label>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <input type="submit" value="Submit" class="btn btn-raised btn-primary waves-effect btnResetPassword">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</body>
<script src="{{ url('assets/plugins/jquery/jquery-v3.2.1.min.js') }}"></script>
<script src="{{ url('assets/bundles/libscripts.bundle.js') }}"></script>
<script src="{{ url('assets/bundles/vendorscripts.bundle.js') }}"></script>
<script src="{{ url('assets/bundles/mainscripts.bundle.js') }}"></script>
<script src="{{ url('assets/js/jquery.validate.min.js') }}"></script>
<script src="{{ url('assets/js/toasted.min.js')}}"></script>
@include('admin.common.toastNotification')
<script type="text/javascript">
    $(document).ready(function(){
        function loader(showOrHide) {
            showOrHide == 'show' ? $('.page-loader-wrapper').show() : $('.page-loader-wrapper').hide() ;
        }
        @if(Session::has('flash-message'))
            @if(Session::get('flash-message.status') == 'success')
                successNotification("{{Session::get('flash-message.msg')}}")
            @elseif(Session::get('flash-message.status') == 'warning')
                warningNotification("{{Session::get('flash-message.msg')}}")
            @else
                errorNotification("{{Session::get('flash-message.msg')}}")
            @endif
        @endif
        $("#resetPasswordform").validate({
            rules: {
                new_password: {
                    required: true,
                    minlength:8
                },
                confirm_new_password: {
                    required: true,
                    equalTo:'#new_password'
                }
            },
            messages: {
                new_password: {
                    required: "Please enter a new password",
                    minlength: "New password should be of minimum 8 characters"
                },
                confirm_new_password: {
                    required: "Please enter a confirm new password",
                    equalTo:'Password mismatch'
                }
            },
            submitHandler:function(form) {
                loader('show');
                form.submit();
            },
            highlight: function (input) {
                $(input).parents('.form-line').addClass('error');
            },
            unhighlight: function (input) {
                $(input).parents('.form-line').removeClass('error');
            },
            errorPlacement: function (error, element) {
                $(element).parents('.form-group').append(error);
            }
        });
    });
</script>
