@extends('layout.admin')
@section('title') Change Password @endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Dashboard </h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">Dashboard</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Change Password
                        <small class="text-muted">Set new password and then click on submit</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Change Password</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    <div class="card">
                        <div class="header"></div>
                        <form class="form" name="createUser" id="createUser" method="post" action="{{ route('admin.change.password.update') }}">
                            {{ csrf_field() }}
                            <div class="body">
                                <div class="row clearfix">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <div class="form-line">
                                                <input type="password" name="current_password" id="current_password" class="form-control" placeholder="Password">
                                                @error('current_password')
                                                <label class="error" role="alert">{{ $message }}</label>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <div class="form-line">
                                                <input type="password" name="new_password" id="new_password" class="form-control" placeholder="New Password">
                                                @error('new_password')
                                                <label class="error" role="alert">{{ $message }}</label>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <div class="form-line">
                                                <input type="password" name="confirm_new_password" id="confirm_new_password" class="form-control" placeholder="Confirm New Password">
                                                @error('confirm_new_password')
                                                <label class="error" role="alert">{{ $message }}</label>
                                                @enderror
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-6">
                                        <button class="btn btn-raised btn-yellow waves-effect" type="submit">SUBMIT</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection
@section('js')
<script>
    $(".form").validate({
        rules: {
                current_password : {
                    required: true,
                },
                new_password : {
                    required: true,
                    minlength:8,
                    maxlength : 30,
                },
                confirm_new_password : {
                    required: true,
                    equalTo:'#new_password'
                },
        },
        messages:{
            current_password : {
                required: 'Please enter current password',
            },
            new_password : {
                required: 'Please enter new password',
                minlength:'Password should be of minimum {0} characters',
                maxlength : 'Password should not be of more than {0} characters',
            },
            confirm_new_password : {
                required: 'Please enter confirm new password',
                equalTo: 'Password mismatch'
            },
        },
        submitHandler:function(form) {
            loader('show');
            form.submit();
        },
        highlight: function (input) {
            $(input).parents('.form-line').addClass('error');
        },
        unhighlight: function (input) {
            $(input).parents('.form-line').removeClass('error');
        },
        errorPlacement: function (error, element) {
            $(element).parents('.form-group').append(error);
        }    
    });    
</script>
@endsection