@extends('layout.admin')
@section('title') Add FAQ @endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">FAQ </h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">FAQ</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Add FAQ
                        <small class="text-muted">Fill in the form and then click on submit</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.faq.list') }}"><i class="zmdi zmdi-store"></i> FAQ</a></li>
                        <li class="breadcrumb-item active">Add</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                        <div class="alert alert-success">
                            {{ session()->get('message') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="header"><h2>FAQ Add</h2></div>
                        <div class="body">
                            <form class="form" name="createDrawFAQ" id="createDrawFAQ" method="POST" enctype="multipart/form-data" action="{{ route('admin.faq.store') }}">
                                {{ csrf_field() }}
                                <div class="row clearfix">
                                    <div class="col-sm-12">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('question') error @enderror">
                                                <input type="text" name="question" id="question" class="form-control" value="">
                                                <label class="form-label">Question</label>
                                            </div>
                                            @error('question')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="form-group form-float">
                                            <div class="form-line focused ckeditor-error-message @error('answer') error @enderror">
                                                <textarea class="form-control" name="answer" id="answer" data-parsley-trigger="change"></textarea>
                                                <label class="form-label" style="margin-top:-10px;">Answer</label>
                                            </div>
                                            @error('answer')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <label class="form-label"> Status</label>
                                            <div class=" @error('status') error @enderror">
                                                <input type="radio" id="active" name="status" value="1" checked/>
                                                <label for="active">Active</label>
                                                <input type="radio" id="inactive" name="status" value="0" />
                                                <label for="inactive">Inactive</label>
                                            </div>
                                            @error('status')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-6">
                                        <button class="btn btn-raised btn-yellow waves-effect" type="submit" id="submit_form">SUBMIT</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script src="{{ asset('assets/plugins/ckeditor/ckeditor.js') }}"></script>
<script>
    CKEDITOR.replace('answer');
    CKEDITOR.replace('arabic_answer',{
     contentsLangDirection: "rtl",
    })
    $(document).ready(function(){
       $("#createDrawFAQ").validate({
           ignore: [],
            rules:{
                question:{
                    required:true
                },
                answer: {
                   ckeditor_required:true
                }

            },messages:{
                    question:{
                    required:"Please enter question"
                },
                answer:{
                    ckeditor_required:"Please enter answer"
                }

            }
       });
       jQuery.validator.addMethod("ckeditor_required", function(value, element) {
            var editorId = $(element).attr('id');
            var messageLength = CKEDITOR.instances[editorId].getData().replace(/<[^>]*>/gi, '').length;
            if(messageLength > 0){
                return true;
            } else {
                return false;
            }
        }, "This field is required");
    });
    // $(document).ready(function () {
    //     $('#createDrawFAQ').validate({ // initialize the plugin
    //         rules: {
    //             question: {
    //                 required: true
    //             },
    //             answer: {
    //                 ckeditor_required:true
    //             },
    //             status: {
    //                 required: true
    //             },
    //         },
    //         errorPlacement: function(error, element) {
    //             var placement = $(element).data('error');
    //             if (placement) {
    //                 $(placement).append(error)
    //             } else {
    //                 error.insertAfter(element);
    //             }
    //         }
    //     });
    // });
</script>
@endsection
