@extends('layout.admin')
@section('title') Add Food Items @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Food item </h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">Food Item</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Add Food Item
                        <small class="text-muted">Fill in the form and then click on submit</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.fooditems.list') }}"><i class="zmdi zmdi-store"></i> Food Items</a></li>
                        <li class="breadcrumb-item active">Add</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                        <div class="alert alert-success">
                            {{ session()->get('message') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="header"><h2>Add Food Item</h2></div>
                        <div class="body">
                            <form class="form" name="createFooditem" id="createFooditem" method="POST" enctype="multipart/form-data" action="{{ route('admin.fooditems.add') }}">
                                {{ csrf_field() }}
                                <div class="row clearfix">

                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <div class="col-md-12">
                                            </div>
                                            <div class="text-center preview_holder">
                                                

                                                    <img id="imagePreview" src="{{asset('assets/images/default.png')}}" class="img-responsive" alt="your image" width="200px" height="auto" />
                                             
                                             
                                            </div>
                                            <div class="text-center m-b-10">
                                                <div class="form-group text-center">
                                                   
                                                       <div class="">
                                                        <span class="btn g-bg-blue waves-effect m-b-15 btn-file">Upload Image</span>
                                                       <input type="file" name="food_image" id="food_image" class="filestyle" accept="image/jpeg, image/png, image/gif, image/jpg">
                                                        </div>
                                                </div>
                           
                                                    @error('food_image')
                                                     <span class="error" role="alert">{{ $message }}</span>
                                                     @enderror
                                            </div>

                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('food_name') error @enderror">
                                                <input type="text" name="food_name" id="food_name" class="form-control">
                                                <label class="form-label">Food Name</label>
                                            </div>
                                            @error('food_name')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                  
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('food_description') error @enderror">
                                                <textarea name="food_description" id="food_description"  class="form-control">
                                                </textarea> 
                                                <label class="form-label">Food Description</label>
                                            </div>
                                            @error('food_description')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                               
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-6">
                                        <button class="btn btn-raised btn-primary waves-effect" type="submit" id="submit_form">SUBMIT</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
    $(document).ready(function(e) {
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $("#imagePreview").attr("src", e.target.result); //css("background-image", "url("+e.target.result+")");
                }
                reader.readAsDataURL(input.files[0]);
            }
        }
        $("#food_image").change(function() {
            readURL(this);
        });

    });    
    // function readURL(input) {
    //     if (input.files && input.files[0]) {
    //         var reader = new FileReader();

    //         reader.onload = function (e) {
    //             $('#profile_image').css('display', 'block');
    //             $('#profile_image')
    //                 .attr('src', e.target.result)
    //                 .width(150)
    //                 .height(150);
    //         };

    //         reader.readAsDataURL(input.files[0]);
    //     }
    // }
    $(document).ready(function () {
        $('#createFooditem').validate({ // initialize the plugin
            rules: {
                food_name: {
                    required: true
                },
                food_description: {  
                    required: true,  
                },
                food_image: {  
                    required: true,
                },
            },
            messages:{
                food_name: {  
                    required: 'Food Name is Required',
                },
                food_description: {  
                    required: 'Food Description is Required',
                },
                food_image: {  
                    required: 'Food Image is Required',
                },
            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).append(error)
                } else {
                    error.insertAfter(element);
                }
            }
        });
    });
</script>
@endsection
