@extends('layout.admin')
@section('title') Food Items @endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Food Items
                    <small class="text-muted">List of all Food Items</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Food Items</li>
                    </ul>
                </div>
                <div class="col-lg-12 col-md-12 col-sm-12">
                   <a href="{{ route('admin.fooditems.add') }}" class="btn btn-raised btn-primary waves-effect float-right">Add</a>
                 </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table id="food_list" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                        <th>Food Name</th>
                                        <th>Food Description</th>
                                        <th>Food Image</th>
                                        <th>Added By</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </section>
</div>
@endsection
@section('js')
<script type="text/javascript">
  $(function () {

    var table = $('#food_list').DataTable({
        dom: "Bfrtip",
        buttons: ['excel'],
        processing: true,
        serverSide: true,
        "ajax": {
            "url": "{{ route('admin.fooditems.list') }}",
            "type": "POST",
            data: {
                "_token": "{{ csrf_token() }}"
            }
        },
        columns: [
            {data: 'food_name', name: 'food_name'},
            {data: 'food_description', name: 'food_description'},
            {data: 'food_image', name: 'food_image'},
            {data: 'full_name', name: 'full_name'},
            {data: 'action', name: 'action'}
        ]
    });

    $(document).on('click','.changeStatus', function(){
        var id = $(this).attr("id");
        $.ajax(
        {
            url: "change/"+id,
            type: 'GET',
            dataType: "JSON",
            data: {
            },
            success: function (data)
            {
                console.log(data);
            }
        });
    });

  });
function deleteFunc(id){
    Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
        if (result.isConfirmed) {
            // ajax
            $.ajax({
                type:"GET",
                url: "{{ route('admin.fooditems.delete') }}/"+id,
                // data: { id: id },
                dataType: 'json',
                success: function(res){
                    console.log(res);
                    Swal.fire(
                    'Deleted!',
                    'Food Items record delete successfully!',
                    'success'
                    )
                    var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
                }
            });
        }
    })

    // if (confirm("Delete Record?") == true) {
    //     var id = id;
    //     // ajax
    //     $.ajax({
    //         type:"GET",
    //         url: "{{ route('admin.user.delete') }}",
    //         data: { id: id },
    //         dataType: 'json',
    //         success: function(res){
    //             var oTable = $('.data-table').dataTable();
    //             oTable.fnDraw(false);
    //         }
    //     });
    // }
}
</script>
@endsection
