@extends('layout.admin')
@section('title') Food Items @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
<link href="{{ asset('assets/css/detail_page.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Food Items</h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.fooditems.list') }}"><i class="zmdi zmdi-store"></i> Food Items </a></li>
                        <li class="breadcrumb-item active">Detail</li>
                    </ul>
                </div>
            </div>
        </div>
        @if(session()->has('message'))
            <div class="alert alert-success">
                {{ session()->get('message') }}
            </div>
        @endif
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                        <div class="container">
                          <div class="container-fliud">
                            <div class="row">
                              <div class="col-md-4">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                        <div class="text-center">
                                          @if(!empty($fooditems->food_image))
                                              <img class="profile-user-img img-fluid img-circle" src="<?php echo env('project_image_path').'foodimage/'.$fooditems->food_image; ?>" />
                                          @else
                                              <img class="profile-user-img img-fluid img-circle" src="{{asset('assets/images/default.png')}}" />
                                          @endif
                                        </div>
                                      <br/>
                                        <ul class="list-group list-group-unbordered mb-3">

                                        
                                          @if(!empty($fooditems->food_name))
                                          <li class="list-group-item">
                                            <b>Food Name</b> <a class="float-right">{{ $fooditems->food_name }}</a>
                                          </li>
                                          @endif
                                          @if(!empty($fooditems->food_description))
                                          <li class="list-group-item">
                                            <b>Food Description</b> <a class="float-right">{{ $fooditems->food_description }}</a>
                                          </li>
                                          @endif
                                          
                                        </ul>
                                      </div>
                                    </div>
                                  </div>
                            </div>
                            </div>
                                  <a href="{{ route('admin.fooditems.list')}}" class="btn btn-primary">Back</a>
                        </div>

                </div>
            </div>
        </div>
    </section>

</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
</script>
@endsection
