@extends('layout.admin')
@section('title') Notifications  @endsection
@section('css')
@php
use App\Helpers\Admin;
$send =  Admin::checkPermission(Session::get('user_id'),'Notifications','Send');
@endphp
<style type="text/css">
    .select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #f4cc34 !important;
    color: black !important;

}
[type="checkbox"]:not(:checked), [type="checkbox"]:checked {
    position: relative;
    left: unset;
    opacity: initial;
}
</style>
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
<link href="{{ asset('assets/multipleselect/css/multi-select.css') }}" rel="stylesheet" />
<link href="{{ asset('assets/multipleselect/style.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Notifications </h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">Notifications</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Notifications
                        <small class="text-muted">Fill in the form and then click on submit</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.notifications.list') }}">
                         <i class="zmdi zmdi-store"></i> Notifications </a> </li>
                        <li class="breadcrumb-item active">Add</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                        <div class="alert alert-success">
                            {{ session()->get('message') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="header"><h2>Notifications</h2></div>
                        <div class="body">
                            <form class="form" name="notification" id="notification" method="POST" enctype="multipart/form-data" action="{{ route('admin.notifications.send') }}">
                                {{ csrf_field() }}
                                <div class="row clearfix">
                                   
                                     <div class=" col-md-6" >
                                       <div class="form-group row align-items-center custom-select-box">
                                          <div class="form-line focused">
                                             <select name="selectusertype" id="selectusertype" class="w-100 show-tick">
                                                  <option value="c">Customers</option>
                                                    <option value="r">Restaurants</option>
                                             </select>
                                              <label class="form-label">Select Restaurant / Customers</label>
                                          <label id="selectusertype" class="error" for="selectusertype"></label>
                                          </div>
                                       </div>
                                    </div>        
                                   <!--  <div class="col-sm-6">
                                          <div class="form-group form-float">
                                            <div class="form-line focused">

                                                 <select name="selectusertype" id="selectusertype" class="form-control show-tick" >
                                                    <option value="c">Customers</option>
                                                    <option value="r">Restaurants</option>
                                                   
                                                </select>
                                                <label class="form-label">Select Restaurant / Customers</label>
                                            </div>
                                            <label id="selectusertype" class="error" for="selectusertype"></label>
                                        </div>
                                    </div> -->
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="@error('selectedusers[]') error @enderror">
                                                <label class="form-label" id="selected_user_type">Customer User</label>
                                                <span class="float-right mr-2" for="selectallusers">Select All </span>
                                                 <input type="checkbox" id="selectallusers" name="selectallusers" class="float-right mt-1 mr-2">
                                                <select name="selectedusers[]" id="selectedusers" class="form-control select2" multiple='multiple'>
                                                    
                                                </select>
                                                 <label id="selectedusers" class="error" for="selectedusers"></label>
                                            </div>
                                        </div>
                                    </div>
                                    <div id="checkboxgroup">
                 
                    <div class="form-group ml-2 form-check col-md-12">
                        <label class="form-check-label">
                            <input type="checkbox" name="selectedtype[]" class="form-check-input mr-2"
                                value="sendsms">Send
                            SMS
                        </label>
                    </div>

                    <div class="form-group ml-2 form-check col-md-12">
                        <label class="form-check-label">
                            <input type="checkbox" id="emailcheckbox" name="selectedtype[]" class="mobileandemail form-check-input mr-2"
                                value="sendemail">Send
                            EMAIL
                        </label>
                    </div>
                     <label class="error ml-2" style="font-size: 12px;" role="alert" for="selectedtype[]"></label>
                </div>
                                    <div class="col-sm-12">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('title') error @enderror">
                                                <textarea class="form-control" name="title" id="title" data-parsley-trigger="change" required=""></textarea>
                                                <label class="form-label" style="margin-top: -18px;">Title</label>
                                            </div>
                                            @error('title')
                                                <label class="error" role="alert">{{ $title }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-12">
                                        <div class="form-group form-float">
                                            <div class="form-line focused ckeditor-error-message @error('message') error @enderror">
                                                <textarea class="form-control" name="message" id="message" data-parsley-trigger="change"></textarea>
                                                <label class="form-label" style="margin-top: -18px;">Message</label>
                                            </div>
                                            @error('message')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-6  mt-3">
                                        <button class="btn btn-raised btn-yellow waves-effect" type="submit" id="submit_form">SUBMIT</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
</div>
@endsection
@section('js')

<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script src="{{ asset('assets/plugins/ckeditor/ckeditor.js') }}"></script>
<script src="{{ asset('assets/multipleselect/js/jquery.multi-select.js') }}"></script>
<script src="{{ asset('assets/multipleselect/js/jquery.quicksearch.js') }}"></script>
<script src="{{ asset('assets/multipleselect/script.js') }}"></script>
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<script>
     CKEDITOR.replace('message');
    // CKEDITOR.replace('message', {
    //   extraPlugins : 'emoji',
    //   contentsCss: [
    //     'http://cdn.ckeditor.com/4.16.2/full-all/contents.css',
    //     'https://ckeditor.com/docs/ckeditor4/4.16.2/examples/assets/mentions/contents.css'
    //   ],
    // });
 $("#selectedusers").select2({
            placeholder: 'Select User',
            templateSelection: function(tag, container) {
            
                var $option = $('.select2 option[value="' + tag.id + '"]');
                if ($option.attr('locked')) {
                    $(container).addClass('locked-tag');
                    tag.locked = true;
                }
                return tag.text;
            }
        });
    var options = $("#selectedusers").html();
    

        $("#selectallusers").on("change", () => {
            var select = 'All '  + $('#selected_user_type').html();
            var user_type =  $('#selectusertype').val();
            if ($("#selectallusers").prop('checked')) {

                $("#selectedusers").html("<option selected='selected'" +
                    " locked='locked'" +
                    " value='selectall_"+user_type + "'>" + select+ "</option>");
                $("#selectedusers").trigger("change");
            } else {
                $("#selectedusers").html(options);
                $("#selectedusers").trigger("change");
            }
        });
$(document).ready(function () {
       var user_type =  $('#selectusertype').val();
        
                $.ajax({
                    url: 'GetUserWithtype/'+user_type,
                    type: "GET",
                    //dataType: "json",
                    success:function(data) {

                        console.log(data);
            
                    $("#selectedusers").empty();
                    $("#selectedusers").append(data);
                    $('#selectedusers').selectpicker('refresh');
                  }
                });

                  $('#selectusertype').on('change', function() {
            var user_type = $(this).val();
            if(user_type == 'r'){
                $('#selected_user_type').html('Restaurant User');
            }else{
                $('#selected_user_type').html('Customer User');
            }
            if(user_type) {
                $.ajax({
                    url: 'GetUserWithtype/'+user_type,
                    type: "GET",
                    //dataType: "json",
                    success:function(data) {

                        console.log(data);
            
                    $("#selectedusers").empty();
                    $("#selectedusers").append(data);
                    $('#selectedusers').selectpicker('refresh');
                  }
                });
            }else{
            //  $('#category_id').empty();
            }
        });
});
 $(document).ready(function () {
        $('#notification').validate({ // initialize the plugin
           ignore: [],
            rules: {
                "selectedtype[]": {
                    required: true
                },
                 "selectedusers[]": {
                    required: true
                },
                 title: {
                required: function(element){
                    return $("#emailcheckbox").is(':checked')
             },
              },
                // title:{
                //     required: true
                // },
                 message: {
                   ckeditor_required:true
                }
            },
             messages:{
                "selectedtype[]": {  
                    required: 'Please select message type',
                },
                "selectedusers[]": {
                    required: 'Please select restaurant or customer',
                },
                title: {  
                    required: 'Please enter title',
                },
                message:{
                    ckeditor_required:"Please enter message"
                }
            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).append(error)
                } else {
                    error.insertAfter(element);
                }
            }
        });
         jQuery.validator.addMethod("ckeditor_required", function(value, element) {
            var editorId = $(element).attr('id');
            var messageLength = CKEDITOR.instances[editorId].getData().replace(/<[^>]*>/gi, '').length;
            if(messageLength > 0){
                return true;
            } else {
                return false;
            }
        }, "This field is required");
    });
</script>
@endsection