@extends('layout.restaurant')
@section('title') Add Banner @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
@endsection
@section('content')
<style type="text/css">
    #banner_image-error{
        width: 100%;
    }
</style>
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Banner Deals</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">Banner Deals</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Add Banner
                        <small class="text-muted">Fill in the form and then click on submit</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('restaurant.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('restaurant.bannerdeals.list') }}"><i class="zmdi zmdi-store"></i> Banner Deals </a></li>
                        <li class="breadcrumb-item active">Add</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                        <div class="alert alert-success">
                            {{ session()->get('message') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="header"><h2>Add Banner</h2></div>
                        <div class="body">
                            <form class="form" name="createbannerdeals" id="createbannerdeals" method="POST" enctype="multipart/form-data" action="{{ route('restaurant.bannerdeals.add') }}">
                                {{ csrf_field() }}
                                <div class="row clearfix">
                                   
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('banner_name') error @enderror">
                                                <input type="text" name="banner_name" id="banner_name" class="form-control">
                                                <label class="form-label">Banner Name</label>
                                            </div>
                                            @error('banner_name')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                 
                                     <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <label class="form-label"> Status</label>
                                            <div class="@error('status') error @enderror">
                                                <input type="radio" id="active" name="status" checked value="1"/>
                                                <label for="active">Active</label>
                                                <input type="radio" id="inactive" name="status" value="0"  />
                                                <label for="inactive">Inactive</label>   
                                            </div>
                                            @error('status')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                     <div class="col-sm-6">
                                        <div class="form-group">
                                            
                                            <div class="text-center preview_holder">
                                                
                                                    <img id="imagePreview" src="{{asset('assets/images/image.png')}}" class="img-responsive" alt="your image" width="200px" height="auto" />
                                             
                                                @error('banner_image')
                                                    <label class="error" role="alert">{{ $message }}</label>
                                                @enderror
                                            </div>
                                             <div class="text-center m-b-10">
                                                <div class="form-group text-center">
                                                   
                                                       <div class="">
                                                        <span class="btn waves-effect m-b-15 btn-file btn-yellow">Upload Banner</span>
                                                       <input type="file" name="banner_image" id="banner_image" class="filestyle" accept="image/webp, image/jpeg, image/png, image/gif, image/jpg">
                                                        </div>
                                                </div>
                           
                                                    @error('banner_image')
                                                     <span class="error" role="alert">{{ $message }}</span>
                                                     @enderror
                                            </div>

                                        </div>
                                    </div>
                               
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-6">
                                        <button class="btn btn-raised btn-yellow waves-effect" type="submit" id="submit_form">SUBMIT</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
   
    $(document).ready(function () {
         function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $("#imagePreview").attr("src", e.target.result); //css("background-image", "url("+e.target.result+")");
                }
                reader.readAsDataURL(input.files[0]);
            }
        }
        $("#banner_image").change(function() {
            readURL(this);
        });

        $('#createbannerdeals').validate({ // initialize the plugin
            rules: {
                banner_name: {
                    required: true
                },
                banner_image: {
                    required: true
                },
            },
             messages:{
                banner_name: {  
                    required: 'Please enter banner name',
                },
                banner_image: {  
                    required: 'Please upload banner image',
                },
            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).append(error)
                } else {
                    error.insertAfter(element);
                }
            }
        });
    });
</script>
@endsection