@extends('layout.admin')
@section('title') Manage orders @endsection
@section('content')
<style type="text/css">
     .profile_state .body,#cancel_button{
        cursor: pointer;
    }
</style>
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Orders
                    <small class="text-muted">List of all orders</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Orders</li>
                    </ul>
                </div>
               
            </div>
        </div>
        <div class="container-fluid">
            <div class="row">
                           <div class="col-lg-12 col-md-4 col-sm-12">
                        <div class="card card-grid">
                            <ul class="row report-tab profile_state list-unstyled">
                                
                                 <li class="col-lg-3 col-md-3 col-6 active" data-report="neworder">
                                    
                                    <div class="body">
                                        <div class="icon l-success">
                                            <i class="zmdi zmdi-shopping-cart-plus"></i>
                                        </div>
                                        <h4>{{$new_order}}</h4>
                                        <span>New Orders</span>
                                        
                                    </div>
                                </li>
                                <li class="col-lg-3 col-md-3 col-6" data-report="oldorder">
                                     
                                    <div class="body">
                                        <div class="icon l-success">
                                            <i class="zmdi zmdi-shopping-cart"></i>
                                        </div>
                                        <h4>{{$past_order}}</h4>
                                        <span>Past Orders</span>
                                    </div>
                                </li>
                               <!--  <li class="col-lg-3 col-md-3 col-6">
                                     
                                    <div class="body">
                                        <div class="icon l-success">
                                            <i class="zmdi zmdi-money"></i>
                                        </div>

                                        <h4>{{$total_order}}</h4>
                                        <span>Total Orders</span>
                                    </div>
                                </li> -->
                                </ul>
                                </div>
                                </div>
                              </div>
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table id="orders" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                       <th>Id</th>
                                        <th>Order Id</th>
                                        <th>Order Date</th>
                                        <th>Order Time</th>
                                        <th>Customer's Full Name</th>
                                        <th>Customer's Phone Number</th>
                                        <th>Restaurant Name</th>
                                        <th>Food Item Name</th>
                                        <th>Quantity</th>
                                        <th>Price Paid</th>
                                        <th>Payment Method</th>
                                        <th>Order Status </th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </section>
</div>
@endsection
@section('js')
<script type="text/javascript">
  $(function () {
    var i = 1;
    var table = $('#orders').DataTable({
        dom: "Bfrtip",
        buttons: ['excel'],
        processing: true,
        serverSide: true,
        "ajax": {
            "url": "{{ route('admin.orders.list') }}",
            "type": "POST",
            data: {
                "_token": "{{ csrf_token() }}"
            }
        },
         "columnDefs": [
            {
                "targets": [ 0 ],
                "visible": false,
                "searchable": false
            },],
        columns: [
        
            {data: 'id', name: 'id'},
            {data: 'display_order_id', name: 'display_order_id'},
            {data: 'order_date', name: 'order_date'},
            {data: 'order_time', name: 'order_time'},
            {data: 'customer_name', name: 'customer_name'},
            {data: 'customer_mobile_no', name: 'customer_mobile_no'},
            {data: 'restaurant_name', name: 'restaurant_name'},
            // {data: 'table_no', name: 'table_no'},
            {data: 'fooditems', name: 'fooditems'},
            {data: 'quantity', name: 'quantity'},
            {data: 'total_amount_pay', name: 'total_amount_pay'},
            {data: 'payment_method', name: 'payment_method'},
            {data: 'order_status_action', name: 'order_status_action'},   
            {data: 'action', name: 'action', class:'action',
        }
        ]
    });
$('.report-tab li').on('click', function() {
    if($(this).hasClass('active') == true){
        return false;
    }else{
            var report = $(this).attr('data-report');
            $('.report-tab li.active').removeClass('active');
            $(this).addClass('active');
        if(report == 'oldorder'){
               table.ajax.url( "{{ route('admin.orders.pastorder') }}" ).load();
        }else{
            table.ajax.url( "{{ route('admin.orders.list') }}" ).load();
        }
    }
});

     $(document).on('change','#order_status_change', function(){
        var orderstatus =  $(this).val();
        var id = $(this).attr("data-id");
        $.ajax(
        {
            url: "{{ route('admin.orders.change') }}",
            type: 'POST',
            dataType: "JSON",
            data: {
                "_token": "{{ csrf_token() }}",
                'id' : id,
                'orderstatus':orderstatus,
            },
            success: function (data)
            {
                Swal.fire(
                    'Update!',
                    'status has been changed successfully!',
                    'success'
                    )
                var oTable = $('.data-table').dataTable();
                oTable.fnDraw(false);            }
        });
    });

  });
  function cancelorder(id){
    
        $("#order_id").val(id);
        $("#cancleorderreson").modal('show');

    };
function deleteFunc(id){
    Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
        if (result.isConfirmed) {
            // ajax
            $.ajax({
                type:"GET",
                url: "{{ route('admin.orders.delete') }}/"+id,
                // data: { id: id },
                dataType: 'json',
                success: function(res){
                    console.log(res);
                    Swal.fire(
                    'Deleted!',
                    'Banner delete successfully!',
                    'success'
                    )
                    var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
                }
            });
        }
    })
}
</script>
<!--  Cancle order reson popup start -->
      <div class="modal fade" id="cancleorderreson" tabindex="-1" role="dialog" aria-labelledby="edit_modalTitle" aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="payment_modalTitle">Cancel Order</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      
      <div class="modal-body">
        <div class="add-address-modal">
                    <div class="bg-white">
                        <div class="shipping-form pl-0 pr-0 pb-0">
                        <form method="POST" class="form form-row" id="ordercancel" action="{{route('admin.orders.cancelorder')}}"> 
                                 @csrf
                                           <div class="form-group col-md-12">
                                            <input type="hidden" id="order_id" name="order_id" value="">
                                                       <input style="border: 1px solid black;padding: 10px;" type="text" class="form-control" id="reason" name="reason" placeholder="Cancel order reason" value="">
                                                    <!--  @error('quantity')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror -->
                                                    </div>
                                                                               
                            <div class="form-group col-md-12 mt-2">
                                <button id="cancel_button" class="btn btn-yellow btn-radius resturant-btn resturant-btn btn-block">Cancel</button>
                            </div>
                        </form>
                        </div>
                        
                    </div>
                </div>
      </div>
     
    </div>
  </div>
</div>
<!--  Cancel order reson popup end -->
<script>
   
        $('#ordercancel').validate({ // initialize the plugin
           rules:{
            reason: {
                    required: true,
                    
                },
        },
        messages:{
             reason: {
                    required: "Please enter order cancel reason",
                  
                },
            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).append(error)
                } else {
                    error.insertAfter(element);
                }
            }
        });
        $('body').on('hidden', '.modal', function() {
        $('#ordercancel')[0].reset();
    });
$(document).click(function (e) {
    var target = e.target;
    if (!$(target).is('#ordercancel') && !$(target).parents().is('#ordercancel')) {
        $('#ordercancel').trigger("reset");
    }
});
</script>
@endsection
