@extends('layout.admin')
@section('title')
    Customer Details
@endsection
@section('css')
    <link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}"
        rel="stylesheet" />
    <link href="{{ asset('assets/css/detail_page.css') }}" rel="stylesheet" />
@endsection
@section('content')
    <div class="container-fluid">
        <section class="content home">
            <div class="block-header">
                <div class="row">
                    <div class="col-lg-7 col-md-6 col-sm-12">
                        <h2>Users</h2>
                    </div>
                    <div class="col-lg-5 col-md-6 col-sm-12">
                        <ul class="breadcrumb float-md-right">
                            <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i
                                        class="zmdi zmdi-home"></i> Home</a></li>
                            <li class="breadcrumb-item"><a href="{{ route('admin.user.list') }}"><i
                                        class="zmdi zmdi-store"></i> Users</a></li>
                            <li class="breadcrumb-item active">Detail</li>
                        </ul>
                    </div>
                </div>
            </div>
            @if (session()->has('message'))
                <div class="alert alert-success">
                    {{ session()->get('message') }}
                </div>
            @endif

            <div class="container-fluid">
                <div class="row clearfix">
                    <div class="col-lg-12 col-md-12 col-sm-12">
                        <div class="container-fliud">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="card card-primary card-outline">
                                        <div class="card-body box-profile">
                                          
                                            <h3 class="profile-username text-center">Payment Details</h3>
                                            {{-- <p class="text-muted text-center">{{ $user['total'] }}</p>
                                            <p class="text-muted text-center">{{ $user['paid'] }}</p> --}}
                                            {{-- <p class="text-muted text-center">{{ $user['account_holder_name'] }}</p>
                                            <p class="text-muted text-center">{{ $user['account_number'] }}</p>
                                            <p class="text-muted text-center">{{ $user['routing_number'] }}</p> --}}
                                           
                                            <ul class="list-group list-group-unbordered mb-3">

                                                <li class="list-group-item">
                                                    <b>User name</b> <a
                                                        class="float-right">{{ $user['user_name'] }}</a>
                                                </li>
                                                <li class="list-group-item">
                                                    <b>Total</b> <a
                                                        class="float-right">{{ $user['total'] }}</a>
                                                </li>
                                                <li class="list-group-item">
                                                    <b>Paid</b> <a
                                                        class="float-right">{{ $user['paid'] }}</a>
                                                </li>

                                               
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="card card-primary card-outline">
                                        <div class="card-body">
                                            <h3 class="profile-username text-center">Bank Details</h3>
                                            <ul>
                                                <li class="list-group-item">
                                                    <b>Account holder name</b> <a
                                                        class="float-right">{{ $user['account_holder_name'] }}</a>
                                                </li>
                                                <li class="list-group-item">
                                                    <b>Account number</b> <a
                                                        class="float-right">{{ $user['account_number'] }}</a>
                                                </li>
                                                <li class="list-group-item">
                                                    <b>Routing number</b> <a
                                                        class="float-right">{{ $user['routing_number'] }}</a>
                                                </li>
                                                <li class="list-group-item">
                                                    <b>User Type</b> <a
                                                        class="float-right">{{ $user['is_settled'] == '1' ? 'Settled' : 'Remaining' }}</a>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <a href="{{ route('admin.payout.list') }}"
                                class="btn btn-raised btn-yellow waves-effect">Back</a>

                        </div>

                    </div>
                </div>
            </div>
        </section>

    </div>
@endsection
@section('js')
    <script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
@endsection
