@extends('layout.admin')
@section('title') Customer Details @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
<link href="{{ asset('assets/css/detail_page.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Users</h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.user.list') }}"><i class="zmdi zmdi-store"></i> Users</a></li>
                        <li class="breadcrumb-item active">Detail</li>
                    </ul>
                </div>
            </div>
        </div>
        @if(session()->has('message'))
        <div class="alert alert-success">
            {{ session()->get('message') }}
        </div>
        @endif

        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                  <div class="container-fliud">
                    <div class="row">
                      <div class="col-md-6">
                        <div class="card card-primary card-outline">
                          <div class="card-body box-profile">
                            <div class="text-center">
                              @if(!empty($user['profile_image']))
                              
                              <img class="profile-user-img img-fluid img-circle" src="<?php echo $user['profile_image']; ?>" width="150" />
                              @else
                              <img class="profile-user-img img-fluid img-circle" src="{{asset('assets/images/default.png')}}" />
                              @endif
                          </div>
                          <h3 class="profile-username text-center">{{$user['full_name']}}</h3>
                          <p class="text-muted text-center">{{$user['email']}}</p>
                          <p class="text-muted text-center">{{$user['country_code'].'-'.$user['phone_number']}}</p>
                          <ul class="list-group list-group-unbordered mb-3">

                             <li class="list-group-item">
                                <b>User Type</b> <a class="float-right">{{$user['user_type']=='I'?'Inspector':($user['user_type']=='B'?'Business':'Business Inspector')}}</a>
                            </li>
                            <li class="list-group-item">
                                <b>User Role</b> <a class="float-right">{{$user['user_role']=='U'?'Normal User':'Guest User'}}</a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="card card-primary card-outline">
                  <div class="card-body">
                    <ul>
                       <li class="list-group-item">
                        <b>Email Address</b> <a class="float-right">{{$user['email']}}</a>
                    </li>
                    <li class="list-group-item">
                        <b>Registered Date</b> <a class="float-right">{{date('d-m-Y', strtotime($user['created_at']))}}</a>
                    </li>
                    <li class="list-group-item">
                        <b>Status </b> <a class="float-right">{{$user['business_name'] == '1'?'Active':'Inactive'}}</a>
                    </li>
                    @if($user['user_type']=='B')
                    <li class="list-group-item">
                        <b>Business Logo </b>
                        @if(!empty($user['business_logo']))

                        <img class="profile-user-img img-fluid img-circle" src="<?php echo $user['profile_image']; ?>" width="80" />
                        @else
                        <img class="profile-user-img img-fluid img-circle" src="{{asset('assets/images/default.png')}}" width="80"/>
                        @endif

                    </li> 
                    <li class="list-group-item">
                        <b>Business Name </b> <a class="float-right">{{$user['business_name']}}</a>
                    </li> 
                    <li class="list-group-item">
                        <b>Business Email </b> <a class="float-right">{{$user['business_email']}}</a>
                    </li> 
                    <li class="list-group-item">
                        <b>Business Address </b> <a class="float-right">{{$user['business_address']}}</a>
                    </li> 

                    @endif
                </ul>
            </div>
        </div>
    </div>
</div>

<a href="{{ route('admin.user.list')}}" class="btn btn-raised btn-yellow waves-effect">Back</a>

</div>

</div>
</div>
</div>
</section>

</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>

@endsection
