@extends('layout.admin')
@section('title') Restaurant @endsection
@section('content')

<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Restaurant
                        <small class="text-muted">List of all Restaurant</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Restaurant</li>
                    </ul>
                </div>
                <div class="col-lg-12 col-md-12 col-sm-12">
                    <a href="{{ route('admin.dashboard') }}" class="btn btn-raised btn-yellow waves-effect float-right">Add</a>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                    @endif
                    <div class="card">
                        <div class="body">
                            <div class="table-responsive">
                                <table id="restaurant_list" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Full Name</th>
                                            <th>Restaurant Name</th>
                                            <!-- <th>Birth Date</th>
                                            <th>Gender</th> -->
                                            <th>Email Address</th>
                                            <th>Phone Number</th>
                                            <!-- <th>Subscription</th> -->
                                            <th>Earnings</th>
                                            <th>Registered Date</th>
                                            <th>Approved Date</th>
                                            <th>Status</th>
                                            <th>Approved</th>
                                            <th>Popular</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
@endsection
@section('js')
<script type="text/javascript">
    $(function() {

        var table = $('#restaurant_list').DataTable({
            dom: "Bfrtip",
            buttons: ['excel'],
            processing: true,
            serverSide: true,
            "ajax": {
                "url": "{{ route('admin.restaurant.list') }}",
                "type": "POST",
                data: {
                    "_token": "{{ csrf_token() }}"
                }
            },
            columns: [{
                    data: 'id',
                    name: 'id'
                },
                {
                    data: 'full_name',
                    name: 'full_name'
                },
                {
                    data: 'restaurant_name',
                    name: 'restaurant_name'
                },
                {
                    data: 'email',
                    name: 'email'
                },
                {
                    data: 'mobilenumber',
                    name: 'mobilenumber'
                },
                // {
                //     data: 'subscription',
                //     name: 'subscription'
                // },
                {
                    data: 'earnings',
                    name: 'earnings'
                },
                {
                    data: 'createdat',
                    name: 'createdat'
                },
                {
                    data: 'approved_date',
                    name: 'approved_date'
                },
                {
                    data: 'status',
                    name: 'status',
                    render: function(data, type, row) {
                        if (row.status == '1') {
                            return 'Active';
                        } else {
                            return 'Block';
                        }
                    }
                },
                {
                    data: 'is_admin_verify',
                    name: 'is_admin_verify',
                    render: function(data, type, row) {
                        if (row.is_admin_verify == '1') {
                            return 'Approve';
                        } else if (row.is_admin_verify == '2') {
                            return 'Pending';
                        } else {
                            return 'Reject';
                        }
                    }
                },
                {
                    data: 'is_popular',
                    name: 'is_popular',
                    render: function(data, type, row) {
                        if (row.is_popular == '1') {
                            return 'Popular';
                        } else {
                            return 'Unpopular';
                        }
                    }
                },
                {
                    data: 'action',
                    name: 'action'
                }
            ],
            "aoColumnDefs": [{
                "bVisible": false,
                "aTargets": [0]
            }]

        });

    });

    function changeStatus(id) {
        Swal.fire({
            title: 'Are you sure?',
            text: "Make it block or unblock!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, update it!'
        }).then((result) => {
            if (result.isConfirmed) {
                $.ajax({
                    url: "{{ route('admin.restaurant.change') }}/" + id,
                    type: 'GET',
                    dataType: "JSON",
                    data: {},
                    success: function(data) {
                        Swal.fire(
                            'Updated!',
                            'User record update successfully!',
                            'success'
                        )
                        var oTable = $('.data-table').dataTable();
                        oTable.fnDraw(false);
                    }
                });
            }
        })

    }

    function adminVerify(id) {
        Swal.fire({
            title: 'Are you sure?',
            text: "Make it approve or reject!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, update it!'
        }).then((result) => {
            if (result.isConfirmed) {
                $.ajax({
                    url: "{{ route('admin.restaurant.adminVerify') }}/" + id,
                    type: 'GET',
                    dataType: "JSON",
                    data: {},
                    success: function(data) {
                        console.log(data.error);
                        if (data.error != '' && data.error != undefined) {
                            Swal.fire(
                                'warning!',
                                data.error,
                                'error'
                            )
                        } else {
                            Swal.fire(
                                'Updated!',
                                data.success,
                                'success'
                            )
                        }
                        var oTable = $('.data-table').dataTable();
                        oTable.fnDraw(false);
                    }
                });
            }
        })
    }
    // $(document).on('click','.adminVerify', function(){
    //     var id = $(this).attr("id");
    //     $.ajax(
    //     {
    //         url: "adminVerify/"+id,
    //         type: 'GET',
    //         dataType: "JSON",
    //         data: {
    //         },
    //         success: function (data)
    //         {
    //               var oTable = $('.data-table').dataTable();
    //                 oTable.fnDraw(false);
    //         }
    //     });
    // });
    function deleteFunc(id) {
        Swal.fire({
            title: 'Are you sure?',
            text: "You won't be able to revert this!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
                // ajax
                $.ajax({
                    type: "GET",
                    url: "{{ route('admin.restaurant.delete') }}/" + id,
                    // data: { id: id },
                    dataType: 'json',
                    success: function(res) {
                        console.log(res);
                        Swal.fire(
                            'Deleted!',
                            'User record delete successfully!',
                            'success'
                        )
                        var oTable = $('.data-table').dataTable();
                        oTable.fnDraw(false);
                    }
                });
            }
        })

    }

    function poplureFunc(id) {

        Swal.fire({
            title: 'Are you sure?',
            text: "Make it popular or unpopular!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes!'
        }).then((result) => {
            if (result.isConfirmed) {
                // ajax
                $.ajax({
                    type: "GET",
                    url: "{{ route('admin.restaurant.popular') }}/" + id,
                    // data: { id: id },
                    dataType: 'json',
                    success: function(res) {

                        Swal.fire(
                            'Updated!',
                            'User Update successfully!',
                            'success'
                        )
                        var oTable = $('.data-table').dataTable();
                        oTable.fnDraw(false);
                    }
                });
            }
        })
    }
</script>
@endsection