@extends('layout.admin')
@section('title') Edit Setting @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Settings </h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">Settings</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Edit Setting
                        <small class="text-muted">Fill in the form and then click on submit</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                       
                        <li class="breadcrumb-item active">Edit</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                        <div class="alert alert-success">
                            {{ session()->get('message') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="header"><h2>Tap Payment</h2></div>
                        <div class="body">
                            <form class="form" name="createDrawProduct" id="createDrawProduct" method="POST" enctype="multipart/form-data" action="{{ route('admin.setting.update') }}">
                                {{ csrf_field() }}
                                {{ method_field('PUT') }}
                                <input type="hidden" name="setting_id" id="setting_id" value="{{$setting['id']}}">
                                <div class="row clearfix">
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('tap_payment_public_key') error @enderror">
                                                <input type="text" name="tap_payment_public_key" id="tap_payment_public_key" class="form-control" value="@if($setting['tap_payment_public_key']){{ $setting['tap_payment_public_key'] }}@endif">
                                                <label class="form-label">Tap Payment Public Key</label>
                                            </div>
                                            @error('tap_payment_public_key')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('tap_payment_secret_key') error @enderror">
                                                <input type="text" name="tap_payment_secret_key" id="minimum_wallet_balance" class="form-control" value="@if($setting['tap_payment_secret_key']){{ $setting['tap_payment_secret_key'] }}@endif">
                                                <label class="form-label">Tap Payment Secret Key</label>
                                            </div>
                                            @error('tap_payment_secret_key')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                     <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('tap_payment_merketplace_key') error @enderror">
                                                <input type="text" name="tap_payment_merketplace_key" id="minimum_wallet_balance" class="form-control" value="@if($setting['tap_payment_merketplace_key']){{ $setting['tap_payment_merketplace_key'] }}@endif">
                                                <label class="form-label">Tap Payment Marketplace Key</label>
                                            </div>
                                            @error('tap_payment_merketplace_key')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                     
                                   <!--  <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('cancel_duration') error @enderror">
                                                <input type="text" name="cancel_duration" id="cancel_duration" class="form-control" value="@if($setting['cancel_duration']){{ $setting['cancel_duration'] }}@endif">
                                                <label class="form-label">Cancel Duration(in Minute)</label>
                                            </div>
                                            @error('cancel_duration')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div> -->
                                    <!-- <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('tex') error @enderror">
                                                <input type="text" name="tax" id="tax" class="form-control" value="@if($setting['tax']){{ $setting['tax'] }}@endif">
                                                <label class="form-label">Tax</label>
                                            </div>
                                            @error('tax')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div> -->
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-6">
                                        <button class="btn btn-raised btn-yellow waves-effect" type="submit" id="submit_form">SUBMIT</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                     <div class="card">
                        <div class="header"><h2>Unifonic SMS</h2></div>
                        <div class="body">
                            <form class="form" name="createDrawProduct" id="createDrawProduct" method="POST" enctype="multipart/form-data" action="{{ route('admin.setting.update_unifoinic') }}">
                                {{ csrf_field() }}
                                {{ method_field('PUT') }}
                                <input type="hidden" name="setting_id" id="setting_id" value="{{$setting['id']}}">
                                <div class="row clearfix">
                                  
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('unifonic_app_id') error @enderror">
                                                <input type="text" name="unifonic_app_id" id="unifonic_app_id" class="form-control" value="@if($setting['unifonic_app_id'] ){{ $setting['unifonic_app_id'] }}@endif">
                                                <label class="form-label">Unifonic app id</label>
                                            </div>
                                            @error('unifonic_app_id')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>

                                      <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('unifonic_sender_id') error @enderror">
                                                <input type="text" name="unifonic_senderid" id="unifonic_sender_id" class="form-control" value="@if($setting['unifonic_senderid'] ){{ $setting['unifonic_senderid'] }}@endif">
                                                <label class="form-label">Unifonic sender id</label>
                                            </div>
                                            @error('unifonic_sender_id')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                      
                                      <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('unifonic_email') error @enderror">
                                                <input type="text" name="unifonic_account_email" id="unifonic_email" class="form-control" value="@if($setting['unifonic_account_email'] ){{ $setting['unifonic_account_email'] }}@endif">
                                                <label class="form-label">Unifonic email</label>
                                            </div>
                                            @error('unifonic_email')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                      <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('unifonic_password') error @enderror">
                                                <input type="text" name="unifonic_account_password" id="unifonic_password" class="form-control" value="@if($setting['unifonic_account_password'] ){{ $setting['unifonic_account_password'] }}@endif">
                                                <label class="form-label">Unifonic password</label>
                                            </div>
                                            @error('unifonic_password')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-12">
                                        <button class="btn btn-raised btn-yellow  waves-effect" type="submit" id="submit_form">SUBMIT</button>
                                          <a href="" class="btn btn-raised btn-yellow  waves-effect float-right">Back</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script src="{{ asset('assets/plugins/ckeditor/ckeditor.js') }}"></script>
<script>
    function readURL(input) {
        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                $('#image')
                    .attr('src', e.target.result);
            };

            reader.readAsDataURL(input.files[0]);
        }
    }
    $(document).ready(function () {
        $('#createDrawProduct').validate({ // initialize the plugin
            rules: {
                tap_payment_public_key: {
                    required: true
                },
                tap_payment_secret_key: {  
                    required: true
                },
               
            },
            messages:{
                tap_payment_public_key:{
                    required:'Please enter tap payment public key',
                },
                tap_payment_secret_key:{
                    required:'Please enter tap payment secret key',
                },
            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).append(error)
                } else {
                    error.insertAfter(element);
                }
            }
        });
    });
</script>
@endsection