@extends('layout.admin')
@section('title') Edit Video @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Videos </h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">Videos</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Edit Video
                        <small class="text-muted">Fill in the form and then click on submit</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.category.list') }}"><i class="zmdi zmdi-store"></i> Videos</a></li>
                        <li class="breadcrumb-item active">Edit</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                        <div class="alert alert-success">
                            {{ session()->get('message') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="header"><h2>Video Edit</h2></div>
                        <div class="body">
                            <form class="form" name="createDrawVideo" id="createDrawVideo" method="POST" enctype="multipart/form-data" action="{{ route('admin.setting.videoUpdate') }}">
                                {{ csrf_field() }}
                                {{ method_field('PUT') }}
                                <input type="hidden" name="id" id="id" value="{{$video['id']}}">
                                <div class="row clearfix">
                                    <div class="col-sm-12">
                                        <div class="form-group text-center">
                                            <div class="">
                                                <span class="btn g-bg-blue waves-effect m-b-15 btn-file img-error-message">
                                                    Upload Video
                                                    <input type="file" id="video" name="video"  class="filestyle" accept="video/*">
                                                </span>
                                            </div>
                                        </div>
                                        <div class="form-group text-center">
                                            <video width="500" height="300" controls>
                                               <source src="<?php echo env('project_image_path').env('TUTORIAL_VIDEO').$video['video']; ?>" type="video/mp4" id="videoPreview">
                                               <source src="movie.ogg" type="video/ogg">
                                               Your browser does not support the video tag.
                                            </video>
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-6">
                                        <button class="btn btn-raised btn-primary waves-effect" type="submit" id="submit_form">SUBMIT</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
    $(document).ready(function(e) {
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    console.log(e.target.result);
                    $("#videoPreview").attr("src", e.target.result); //css("background-image", "url("+e.target.result+")");
                }
                reader.readAsDataURL(input.files[0]);
            }
        }
        $("#video").change(function() {
            readURL(this);
        });
    }); 
    $(document).ready(function () {
        $('#createDrawVideo').validate({ // initialize the plugin
            rules: {
                video: {
                    required: true
                },
            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).append(error)
                } else {
                    error.insertAfter(element);
                }
            }
        });
    });
</script>
@endsection