@extends('layout.admin') @section('title') Edit Static Content @endsection @section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" /> @endsection @section('content') <div class="container-fluid">
  <div class="row page-titles">
    <div class="col-md-5 align-self-center">
      <h4 class="text-themecolor">Static Content </h4>
    </div>
    <div class="col-md-7 align-self-center text-right">
      <div class="d-flex justify-content-end align-items-center">
        <ol class="breadcrumb">
          <li class="breadcrumb-item active">Static Content</li>
        </ol>
      </div>
    </div>
  </div>
  <section class="content home">
    <div class="block-header">
      <div class="row">
        <div class="col-lg-7 col-md-6 col-sm-12">
          <h2>Edit Static Content <small class="text-muted">Fill in the form and then click on submit</small>
          </h2>
        </div>
        <div class="col-lg-5 col-md-6 col-sm-12">
          <ul class="breadcrumb float-md-right">
            <li class="breadcrumb-item">
              <a href="{{ route('admin.dashboard') }}">
                <i class="zmdi zmdi-home"></i> Home </a>
              </li>
              <li class="breadcrumb-item">
                <a href="{{ route('admin.staticpages.list') }}">
                  <i class="zmdi zmdi-store"></i> Static Content </a>
                </li>
                <li class="breadcrumb-item active">Edit</li>
              </ul>
            </div>
          </div>
        </div>
        <div class="container-fluid">
          <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12"> @if(session()->has('message')) <div class="alert alert-success">
              {{ session()->get('message') }}
            </div> @endif <div class="card">
              <div class="header">
                <h2>Static Content Edit</h2>
              </div>
              <div class="body">
                <form enctype="multipart/form-data" id="editsubscription" name="editsubscription" method="post" action="{{ route('admin.staticpages.postedit') }}">

                  {{ csrf_field() }}
                  {{ method_field('PUT') }}
                  <div class="row clearfix">
                    <div class="col-sm-12">
                      <div class="form-group form-float">
                        <div class="form-line focused @error('name') error @enderror">
                          <input type="hidden" name="id" value="{{$page['id']}}">
                          <input type="text" name="page_description" id="page_description" class="form-control" value="{{$page['page_description']}}">
                          <label class="form-label">Page Name</label>
                        </div> @error('page_description') <label class="error" role="alert">{{ $message }}</label> @enderror
                      </div>
                    </div>

                  </div>
                  <div class="row clearfix">
                   <div class="col-md-12">

                    <div class="form-group">
                      <label for="content">Content</label>
                      <textarea name="content" type="text" class="form-control" id="content" placeholder="Enter Content"
                      required="">{{ $page['content'] }}</textarea>@error('content') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div>
                  
                  <div class="col-sm-6">
                    <div class="form-group">
                      <div class="col-md-12">
                      </div>
                      <div class="text-center preview_holder">

                        <?php
                        if($page['content_image'] == null || @get_headers(env('project_image_path').'content_image/'.$page['content_image'])[0]  == 'HTTP/1.1 404 Not Found'){ ?>
                          <img id="imagePreview" src="{{asset('assets/images/image.png')}}" class="img-responsive" alt="your image" width="200px" height="auto" />
                          <?php
                        } else { ?>
                          <img id="imagePreview" src="<?php echo env('project_image_path').'content_image/'.$page['content_image']; ?>" class="img-responsive" alt="your image" width="200px" height="auto" />
                          <?php
                        } ?>

                      </div>
                      <div class="text-center m-b-10">
                        <div class="form-group text-center">
                         <div class="">
                          <span class="btn g-bg-blue waves-effect m-b-15 btn-file">Upload Image</span>
                          <input type="file" name="content_image" id="content_image" class="filestyle" accept="image/jpeg, image/png, image/gif, image/jpg">
                        </div>
                      </div>

                    </div>

                  </div>
                </div>
              </div>

              <div class="row clearfix">
                <div class="col-md-12">
                  <button class="btn btn-raised btn-yellow waves-effect" type="submit" id="submit_form">SUBMIT</button>
                  <a href="{{ route('admin.staticpages.list')}}" class="btn btn-raised btn-yellow waves-effect float-right">Back</a>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
</div> @endsection @section('js') <script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script src="{{ asset('assets/plugins/ckeditor/ckeditor.js') }}"></script>

<script>
 $(document).ready(function(e) {
  function readURL(input) {
    if (input.files && input.files[0]) {
      var reader = new FileReader();
      reader.onload = function(e) {
                    $("#imagePreview").attr("src", e.target.result); //css("background-image", "url("+e.target.result+")");
                  }
                  reader.readAsDataURL(input.files[0]);
                }
              }
              $("#content_image").change(function() {
                readURL(this);
              });

            });
 
 $(document).ready(function() {
    $('#editsubscription').validate({ // initialize the plugin
      rules: {
        name: {
          required: true
        },

        email: {
          required: true,
          email:true,

        }
      },
      messages: {
        subscription_name: {
          required: 'Please enter sub admin name',
        },
        email: {
          required: 'Please enter sub admin email',
        },
      },
      errorPlacement: function(error, element) {
        var placement = $(element).data('error');
        if (placement) {
          $(placement).append(error)
        } else {
          error.insertAfter(element);
        }
      }
    });
  });
   // CKEDITOR.replace('message');
 CKEDITOR.replace('content', {
  extraPlugins : 'emoji',
  enterMode : CKEDITOR.ENTER_BR,
  shiftEnterMode: CKEDITOR.ENTER_P,
  contentsCss: [
    'https://cdn.ckeditor.com/4.16.2/full-all/contents.css',
    'https://ckeditor.com/docs/ckeditor4/4.16.2/examples/assets/mentions/contents.css'
    ],
});  
 CKEDITOR.replace('arabic_content', {
  contentsLangDirection: "rtl",
  extraPlugins : 'emoji',
  contentsCss: [
    'https://cdn.ckeditor.com/4.16.2/full-all/contents.css',
    'https://ckeditor.com/docs/ckeditor4/4.16.2/examples/assets/mentions/contents.css'
    ],
});
</script> @endsection
