@extends('layout.admin')
@section('title') Static Content @endsection
@section('content')
@php
use App\Helpers\Admin;
$create =  Admin::checkPermission(Session::get('user_id'),'Static Content','Create');
$update =  Admin::checkPermission(Session::get('user_id'),'Static Content','Update');
$delete =  Admin::checkPermission(Session::get('user_id'),'Static Content','Delete');
@endphp
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Static Content
                        <small class="text-muted">List of all Static Contents</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Static Content</li>
                    </ul>
                </div>
           <!--       @php if($create == 1){ @endphp 
                 <div class="col-lg-12 col-md-12 col-sm-12">
                   <a href="{{ route('admin.staticpages.add') }}" class="btn btn-raised btn-yellow waves-effect float-right">Add</a>
                 </div>
                 @php } @endphp -->
             </div>
         </div>
         <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                    @endif
                    <div class="card">
                        <div class="body">
                           
                            <div class="table-responsive">
                              {{--  <div class="row">
                                <div class=" col-md-4" >
                                 <div class="form-group row align-items-center custom-select-box">
                                  <div class="form-line focused">
                                   <select id="content_type" class="w-100 show-tick">
                                       <option value="2">Customer</option>
                                       <option value="1">Restaurant</option>
                                   </select>
                                   <label class="form-label">Select Restaurant / Customers</label>
                                   <label id="selectusertype" class="error" for="selectusertype"></label>
                               </div>
                           </div>
                       </div> 
                       
                   </div> --}}
                   <table id="staticpage" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                    <thead>
                       <tr>
                                            <!-- <th>Page</th>
                                                <th>Description</th> -->
                                                <th>Page Title</th>
                                                <th>Content Type</th>
                                                <!-- <th>Content</th> -->
                                                <th>Added Date </th>
                                                <th>Modified Date</th>
                                                <th>Action</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
    @endsection
    @section('js')
    <script type="text/javascript">

     $(function () {

        var table = $('#staticpage').DataTable({
            dom: "Bfrtip",
            buttons: ['excel'],
            processing: true,
            serverSide: true,
            "ajax": {
                "url": "{{ route('admin.staticpages.list') }}",
                "type": "POST",
                data: {
                    "_token": "{{ csrf_token() }}"
                }
            },
            columns: [
                {data: 'page_description', name: 'page_description'},
                {data: 'content_type', name: 'content_type'},
            // {data: 'content', name: 'content'},
                {data: 'created_at', name: 'created_at'},
                {data: 'updated_at', name: 'updated_at'},
                {data: 'action', name: 'action'}
                ],
            initComplete: function () {
              var api = this.api();
              var myCondition = <?php echo $update; ?>;
              var myCondition2 = <?php echo $delete; ?>;
              var number1 = parseInt(myCondition);
              var number2 = parseInt(0);
              if(number1 === number2) {
                api.column(2).visible( false );
            }else{
                api.column(2).visible( true );
            }
            api.column(1).visible( false );
            // this.api().columns([1]).every( function () {
            //     var column = this;
                
            //     $('#content_type').on( 'change', function () {
            //         var val = $(this).val();

            //         var val = $.fn.dataTable.util.escapeRegex(
            //             $(this).val()
            //             );
                    
            //         column
            //         .search(val)
            //         .draw();
            //     } );  
                
            // } );

        }
    });
    });
     $(document).ready(function() {
        var table =  $('#staticpage').DataTable();  
        // table.columns(1).search( $('#content_type').val() ).draw(); 
    });
     function deleteFunc(id){

        Swal.fire({
            title: 'Are you sure?',
            text: "You won't be able to revert this!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
            if (result.isConfirmed) {
            // ajax
                $.ajax({
                    type:"GET",
                    url: "{{ route('admin.staticpages.delete') }}/"+id,
                // data: { id: id },
                    dataType: 'json',
                    success: function(res){
                      
                        Swal.fire(
                            'Deleted!',
                            'Page delete successfully!',
                            'success'
                            )
                        var oTable = $('.data-table').dataTable();
                        oTable.fnDraw(false);
                    }
                });
            }
        })

    }
</script>
@endsection
