@extends('layout.admin') @section('title') Subadmins @endsection @section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" /> @endsection @section('content') <div class="container-fluid">
  <div class="row page-titles">
    <div class="col-md-5 align-self-center">
      <h4 class="text-themecolor">Subadmins </h4>
    </div>
    <div class="col-md-7 align-self-center text-right">
      <div class="d-flex justify-content-end align-items-center">
        <ol class="breadcrumb">
          <li class="breadcrumb-item active">Subadmins</li>
        </ol>
      </div>
    </div>
  </div>
  <section class="content home">
    <div class="block-header">
      <div class="row">
        <div class="col-lg-7 col-md-6 col-sm-12">
          <h2>Add Subadmin <small class="text-muted">Fill in the form and then click on submit</small>
          </h2>
        </div>
        <div class="col-lg-5 col-md-6 col-sm-12">
          <ul class="breadcrumb float-md-right">
            <li class="breadcrumb-item">
              <a href="{{ route('admin.dashboard') }}">
                <i class="zmdi zmdi-home"></i> Home </a>
            </li>
            <li class="breadcrumb-item">
              <a href="{{ route('admin.subadmins.list') }}">
                <i class="zmdi zmdi-store"></i> Subadmins </a>
            </li>
            <li class="breadcrumb-item active">Add</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="container-fluid">
      <div class="row clearfix">
        <div class="col-lg-12 col-md-12 col-sm-12"> @if(session()->has('message')) <div class="alert alert-success">
            {{ session()->get('message') }}
          </div> @endif <div class="card">
            <div class="header">
              <h2>Add Subadmin</h2>
            </div>
            <div class="body">
              <form enctype="multipart/form-data" class="form" id="addsubadmins" name="addsubadmins" method="post" action="{{ route('admin.subadmins.postaddnew') }}">
                {{ csrf_field() }}
                <div class="row clearfix">
                  <div class="col-sm-6">
                    <div class="form-group form-float">
                      <div class="form-line focused @error('name') error @enderror">
                        <label class="form-label"> Full Name</label>
                        <input type="text" name="name" id="name" class="form-control">
                      </div> @error('name') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-group form-float">
                      <div class="form-line focused @error('email') error @enderror">
                        <input type="text" name="email" id="email" class="form-control">
                        <label class="form-label">Email</label>
                      </div> @error('email') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div>
                </div>
                <label class="header">
                  <h2>Specify Access</h2>
                </label>
                <hr />
                @foreach ($features as $feature)
            @if (!$loop->first)
                <hr />
            @endif

            <div class="row">
                <div class="col-md-12">
                    <span>{{ $feature->name }}
                        <span>( <input data-featureid="{{ $feature->id }}" class="selectallsubfeature mr-1"
                                style="top: 2px;" type="checkbox" {{ $feature->id == 1?'checked':'' }} {{ $feature->id == 1?'disabled':'' }} >  Select all )</label> </span>
                </div>
                @foreach ($feature->subpermissionOrderBySequence as $subfeature)
                    <div class="col-md-2" style="width:100%; border:lightblue solid 0.3px;">
                        <div class="form-group">
                           <!--  <input data-parentfeatureid="{{ $feature->id }}"
                                name="subfeature[{{ $subfeature->id }}]" {{ $feature->id == 1?'checked':'' }} value="{{ $subfeature->id }}"
                                id="subfeature{{ $subfeature->id }}" type="checkbox">
                            <label class="form-label" for="subfeature{{ $subfeature->id }}">
                                {{ $subfeature->name }}</label> -->
                                   <small><input data-parentfeatureid="{{ $feature->id }}" name="subfeature[{{ $subfeature->id }}]" value="{{ $subfeature->id }}"   {{ $subfeature->id == 1?'checked':'' }} {{ $subfeature->id == 1?'disabled':'' }} class="selectallsubfeature child" type="checkbox">  </small>
                    <span>{{ $subfeature->name }}</span>
                        </div>
                    </div>
                @endforeach
            </div>

        @endforeach
               
              <div class="row clearfix">
                  <div class="col-md-6">
                    <button class="btn btn-raised btn-yellow waves-effect" type="submit" id="submit_form">SUBMIT</button>
                  </div>
                </div>
              </form>
              
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div> @endsection @section('js') <script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
  $(document).ready(function() {
    function readURL(input) {
      if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function(e) {
          $("#imagePreview").attr("src", e.target.result); //css("background-image", "url("+e.target.result+")");
        }
        reader.readAsDataURL(input.files[0]);
      }
    }
    $("#banner_image").change(function() {
      readURL(this);
    });
    $('#addsubadmins').validate({ // initialize the plugin
      rules: {
        name: {
          required: true
        },
        email: {
          required: true,
          email:true,
          remote: {
                              type: 'post',
                              url: "{{ route('admin.isEmailAvailable') }}" ,
                              data: {
                                '_token': "{{ csrf_token() }}",
                                     'email': function () { return $('#email').val(); 
                                 }
                              },
                    },
        },
      },
      messages: {
        name: {
          required: 'Please enter subadmin name',
        },
        email: {
          required: 'Please enter subadmin email',
          remote:'Email already exist',
        },
      },
      errorPlacement: function(error, element) {
        var placement = $(element).data('error');
        if (placement) {
          $(placement).append(error)
        } else {
          error.insertAfter(element);
        }
      }
    });
  });
$(document).on("change", ".selectallsubfeature", (event) => {
            var currentelement = $(event.target);
            var featureid = currentelement.data("featureid");
            if (currentelement.prop("checked") == true) {
                $("input[type='checkbox'][data-parentfeatureid='" + featureid + "']").prop("checked", true);
            } else {
                $("input[type='checkbox'][data-parentfeatureid='" + featureid + "']").prop("checked", false);
            }
        });

 $(".child").on("click", function() {
    var parent  = $(this).attr("data-parentfeatureid");
    var selected = [];
    if ($(this).prop("checked") == false) {
     $("input[type='checkbox'][data-featureid='" + parent + "']").prop("checked", false);
   }else{
        $("input[type='checkbox'][data-parentfeatureid='" + parent + "']").each(function(){
          if($(this).prop('checked') == true){
                selected.push('true');
          }else{
                selected.push('false');
          }
    });
    const allEqual = arr => arr.every(v => v === arr[0]);
    if(allEqual(selected) == true){
        $("input[type='checkbox'][data-featureid='" + parent + "']").prop("checked", true);
    }
   }
  });
</script> @endsection