@extends('layout.admin')
@section('title') Sub Admin @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
<link href="{{ asset('assets/css/detail_page.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Sub Admin</h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.subadmins.list') }}"><i class="zmdi zmdi-store"></i> Sub Admin </a></li>
                        <li class="breadcrumb-item active">Detail</li>
                    </ul>
                </div>
            </div>
        </div>
        @if(session()->has('message'))
            <div class="alert alert-success">
                {{ session()->get('message') }}
            </div>
        @endif
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                        <div class="container">
                          <div class="container-fliud">
                            <div class="row">
                              <div class="col-md-6">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                        <ul class="list-group list-group-unbordered mb-3">
                                          @if(!empty($subadmins->name))
                                          <li class="list-group-item">
                                            <b> Full Name</b> <a class="float-right">{{ $subadmins->name }}</a>
                                          </li>
                                          @endif
                                          @if(!empty($subadmins->email))
                                          <li class="list-group-item">
                                            <b>Email</b> <a class="float-right">{{ $subadmins->email }}</a>
                                          </li>
                                          @endif
                                        </ul>
                                      </div>
                                    </div>
                                  </div>
                                  <div class="col-md-6">
                                    <div class="card card-primary card-outline">
                                      <div class="card-body box-profile">
                                        <ul class="list-group list-group-unbordered mb-3">
                                          @if(!empty($subadmins->created_at))
                                          <li class="list-group-item">
                                            <b>Created Date</b> <a class="float-right">{{ date('d-m-Y', strtotime($subadmins->created_at)) }}</a>
                                          </li>
                                          @endif
                                          <li class="list-group-item">
                                            <b>Status</b> <a class="float-right">
                                                @if($subadmins->status == '1')
                                                {{'Active'}}
                                                @else
                                                 {{'Inactive'}}
                                                @endif
                                            </a>
                                          </li>
                                        </ul>
                                      </div>
                                    </div>
                                  </div>
                            </div>
                            <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                <h4>Specify Access</h4>
 <table id="food_category_list" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">               
                    <thead>
                              <tr>
                                 <th>Features</th>
                                 <!-- <th>View</th>
                                 <th>Create</th>
                                 <th>Update</th>
                                 <th>Delete</th> -->
                            </tr>
                          </thead>

                          <tbody>
                                  @foreach ($features as $fk => $feature)
                                  <tr>
                                    <td>{{$feature->name}}</td>
                                  
                                    @foreach ($feature->subpermissionOrderBySequence as $subfeature)

                                    <td>  {{$subfeature->name}} - {{ in_array($subfeature->id,$permission)?'Yes':'No' }}</td>
                         @endforeach

                                    </tr>
                                @endforeach
                             
                          </tbody>
                    </table>
                </div>
            </div>
        </div>
                    <br/>
                <h4>Activity Log</h4>
                  <div class="card">
                    <div class="body">
                        <div class="table-responsive">
 <table id="subadmin_activity" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">                  
 <thead>
                            <tr>
                                <th>ID</th>
                                <th>Subject</th>
                                <th>URL</th>
                                <th>IP</th>
                                <th>Date</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($activity_log as $log)
                            <tr>
                                <td>{{$log->id}}</td>
                                <td>{{$log->subject}}</td>
                                <td>{{$log->url}}</td>
                                <td>{{$log->ip}}</td>
                                <td>{{date('d-m-Y',strtotime($log->created_at))}}({{ Carbon\Carbon::parse($log->created_at)->diffForHumans(null, true).' ago'}})</td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
                            </div>
                                  <a href="{{ route('admin.subadmins.list')}}" class="btn btn-raised btn-yellow waves-effect">Back</a>
                        </div>

                </div>
            </div>
        </div>
    </section>

</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script type="text/javascript">
      $(function () {

    $('#subadmin_activity').DataTable({
      "bLengthChange": false,
       dom: "Bfrtip",
        buttons: ['excel'],
        processing: true,
        "order": [[0, "desc" ]],
         "columnDefs": [
            {
                "targets": [ 0 ],
                "visible": false,
                "searchable": false
            },
        ]

    });
    });
</script>
@endsection