@extends('layout.admin') @section('title') Subscription @endsection @section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" /> @endsection @section('content') <div class="container-fluid">
  <div class="row page-titles">
    <div class="col-md-5 align-self-center">
      <h4 class="text-themecolor">Subscription </h4>
    </div>
    <div class="col-md-7 align-self-center text-right">
      <div class="d-flex justify-content-end align-items-center">
        <ol class="breadcrumb">
          <li class="breadcrumb-item active">Subscription</li>
        </ol>
      </div>
    </div>
  </div>
  <section class="content home">
    <div class="block-header">
      <div class="row">
        <div class="col-lg-7 col-md-6 col-sm-12">
          <h2>Add Subscription <small class="text-muted">Fill in the form and then click on submit</small>
          </h2>
        </div>
        <div class="col-lg-5 col-md-6 col-sm-12">
          <ul class="breadcrumb float-md-right">
            <li class="breadcrumb-item">
              <a href="{{ route('admin.dashboard') }}">
                <i class="zmdi zmdi-home"></i> Home </a>
            </li>
            <li class="breadcrumb-item">
              <a href="{{ route('admin.subscription.list') }}">
                <i class="zmdi zmdi-store"></i> Subscription </a>
            </li>
            <li class="breadcrumb-item active">Add</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="container-fluid">
      <div class="row clearfix">
        <div class="col-lg-12 col-md-12 col-sm-12"> @if(session()->has('message')) <div class="alert alert-success">
            {{ session()->get('message') }}
          </div> @endif <div class="card">
            <div class="header">
              <h2>Add Subscription</h2>
            </div>
            <div class="body">
              <form enctype="multipart/form-data" class="form" id="addsubscription" name="addsubscription" method="post" action="{{ route('admin.subscription.submit') }}">
                {{ csrf_field() }}
                <div class="row clearfix">
                  <div class="col-sm-6">
                    <div class="form-group form-float">
                      <div class="form-line focused @error('subscription_name') error @enderror">
                        <input type="text" name="subscription_name" id="subscription_name" class="form-control">
                        <label class="form-label">Subscription Name</label>
                      </div> @error('subscription_name') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="form-group form-float">
                      <div class="form-line focused @error('subscription_price') error @enderror">
                        <input type="text" name="subscription_price" id="subscription_price" class="form-control">
                        <label class="form-label">Subscription Price</label>
                      </div> @error('subscription_price') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div>
                 <div class="col-sm-6">
                    <div class="form-group form-float">
                      <div class="custom-select-box-side-input form-line focused @error('discount_price') error @enderror">
                        <input type="text" name="discount_price" id="discount_price" class="form-control">
                        <label class="form-label">Discounted Price</label>
                      </div> @error('discount_price') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div>
                  <!--  <div class="col-sm-6">
                    <div class="form-group form-float">
                      <div class="form-line focused @error('validity') error @enderror">
                        <select class="form-control show-tick" name="validity">
                          <option value="m">Monthly</option>
                          <option value="y">Yearly</option>
                        </select>
                        <label class="form-label">Validity</label>
                      </div> @error('validity') <label class="error" role="alert">{{ $message }}</label> @enderror
                    </div>
                  </div> -->
                   <div class=" col-md-6" >
                                       <div class="form-group row align-items-center custom-select-box">
                                          <div class="form-line focused">
                                             <select name="validity" class="w-100 show-tick">
                                                 <option value="m">Monthly</option>
                                               <option value="y">Yearly</option>
                                             </select>
                                              <label class="form-label">Validity</label>
                                             @error('validity') <label class="error" role="alert">{{ $message }}</label> @enderror
                                          </div>
                                       </div>
                    </div>         
                </div>
                <label class="header">
                  <h2>Specify Access</h2>
                </label>
                <hr />
                  @error('subfeature') <label class="error" role="alert">{{ $message }}</label> @enderror
                <div class="row">
                 @foreach ($features as $feature) @if (!$loop->first)
                <hr /> @endif 
                  <div class="col-md-6">

                      <small><input data-featureid="{{ $feature->id }}" name="subfeature[{{ $feature->id }}]" value="{{ $feature->id }}" class="selectallsubfeature" type="checkbox">  </small>
                    <span>{{ $feature->name }}</span>
                    <hr/>
                  </div> 
                @endforeach 
            </div>
               
                <div class="row clearfix">
                  <div class="col-md-6">
                    <button class="btn btn-raised btn-yellow waves-effect" type="submit" id="submit_form">SUBMIT</button>
                  </div>
                </div>
              </form>
              
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>
</div> @endsection @section('js') <script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
  $(document).ready(function() {
    function readURL(input) {
      if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function(e) {
          $("#imagePreview").attr("src", e.target.result); //css("background-image", "url("+e.target.result+")");
        }
        reader.readAsDataURL(input.files[0]);
      }
    }
    $("#banner_image").change(function() {
      readURL(this);
    });
    $('#addsubscription').validate({ // initialize the plugin
      rules: {
        subscription_name: {
          required: true
        },
        subscription_price: {
          required: true,
          number: true
        },
        "subfeature[]": { 
      required: true, 
      minlength: 1 
      },
        discount_price: {
          number: true
        },
      },
      messages: {
        subscription_name: {
          required: 'Please enter subscription name',
        },
        subscription_price: {
          required: 'Please enter subscription price',
        },
        "subfeature[]":{
          required: 'Please select atleast one subfeature',
        },
      },
      errorPlacement: function(error, element) {
        var placement = $(element).data('error');
        if (placement) {
          $(placement).append(error)
        } else {
          error.insertAfter(element);
        }
      }
    });
     // $('#subscription_price').keypress(function(event){
     //        console.log(event.which);

     //    if(event.which != 8 && isNaN(String.fromCharCode(event.which))){
     //        event.preventDefault();
     //    }});
     $('#subscription_price,#discount_price').keyup(function(event){
    var val = $(this).val();
    if(isNaN(val)){
         val = val.replace(/[^0-9\.]/g,'');
         if(val.split('.').length>2) 
             val =val.replace(/\.+$/,"");
    }else{
      event.preventDefault();
    }
    $(this).val(val); 
});
  });

</script> @endsection