@extends('layout.admin')
@section('title') Reviews @endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Reviews
                    <small class="text-muted">List of all reviews</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Reviews</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="card">
                    <div class="header"></div>
                        <!-- <div class="col-md-12 align-self-center text-right">
                            <div class="d-flex justify-content-end align-items-center">
                                 <a href="{{ route('admin.user.add') }}" type="button" class="btn btn-info d-none d-lg-block m-l-15"><i class="zmdi zmdi-plus"></i> Add New</a>
                            </div>
                        </div> -->
                    <div class="body">
                        <div class="table-responsive">
                        <input type="hidden" name="user_id" id="user_id" value="{{$user_id}}">
                            <table class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                        <th>ID</th>
                                        <th>Rate</th>
                                        <th>Review</th>
                                        <!-- <th>Advertisement Name</th> -->
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>  
    </section>
</div>
@endsection
@section('js')
<script type="text/javascript">
  $(function () {
    var user_id = $('#user_id').val();
    var table = $('.data-table').DataTable({
        processing: true,
        serverSide: true,
        ajax: "{{ route('admin.user.review') }}/"+$('#user_id').val(),
        columns: [
            {data: 'id', name: 'id'},
            {data: 'rate', name: 'rate'},
            {data: 'review', name: 'review'},
            // {data: 'title', name: 'title'},
            {data: 'action', name: 'action'},
        ]
    });

    $(document).on('click','.deleteReview', function(){
        var id = $(this).attr("id");
        $.ajax(
        {
            url: "{{ route('admin.user.deleteReview') }}/"+id,
            type: 'GET',
            dataType: "JSON",
            data: {
            },
            success: function (data)
            {
                $('#'+id).parents('tr').remove();
                console.log(data);
            }
        });
    });
    
  });
</script>
@endsection