@extends('layout.admin')
@section('title') Subscribers @endsection
@section('content')

<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Subscribers
                    <small class="text-muted">List of all Subscribers</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Subscribers</li>
                    </ul>
                </div>
              
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                @if(session()->has('message'))
                    <div class="alert alert-success">
                        {{ session()->get('message') }}
                    </div>
                @endif
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table id="subscription" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                        <th>Restaurant Name</th>
                                        <th>Email</th>
                                        <th>Plan Name</th>
                                        <th>Purchase Date</th>
                                        <th>Expiry Date</th>
                                        <th>Price</th>
                                        <th>Validity</th>
                                        <th>Plan Status</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </section>
</div>
@endsection
@section('js')
<script type="text/javascript">
  $(function () {

    var table = $('#subscription').DataTable({
        dom: "Bfrtip",
        buttons: ['excel'],
        processing: true,
        serverSide: true,
        "ajax": {
            "url": "{{ route('admin.subscriber.list') }}",
            "type": "POST",
            data: {
                "_token": "{{ csrf_token() }}"
            }
        },
        columns: [
            {data: 'name', name: 'name'},
            {data: 'email', name: 'email'},
            {data: 'planname', name: 'planname'},
            {data: 'order_date', name: 'order_date'},
            {data: 'expiry_date', name: 'expiry_date'},
            {data: 'price', name: 'price'},
            {data: 'validity', name: 'validity',
           render:function(data, type, row){
                if(row.validity == 'm'){
                    return 'Monthly';
                } else {
                    return 'Yearly';
                }
            }
        },
          {data: 'order_date', name: 'order_date',
           render:function(data, type, row){
                if(row.order_date <= row.expiry_date){
                    return 'Active';
                } else {
                    return 'Exprired';
                }
            }
        },
     
        ]
    });
  });
</script>
@endsection
