@extends('layout.admin')
@section('title') Edit User @endsection
@section('css')
<link href="{{ asset('assets/plugins/bootstrap-material-datetimepicker/css/bootstrap-material-datetimepicker.css') }}" rel="stylesheet" />
@endsection
@section('content')
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Users </h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">Users</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Edit User
                        <small class="text-muted">Fill in the form and then click on submit</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="{{ route('admin.dashboard') }}"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item"><a href="{{ route('admin.user.list') }}"><i class="zmdi zmdi-store"></i> Users</a></li>
                        <li class="breadcrumb-item active">Edit</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
                <div class="col-lg-12 col-md-12 col-sm-12">
                    @if(session()->has('message'))
                        <div class="alert alert-success">
                            {{ session()->get('message') }}
                        </div>
                    @endif
                    <div class="card">
                        <div class="header"><h2>User Edit</h2></div>
                        <div class="body">
                            <form class="form" name="createDrawProduct" id="createDrawProduct" method="POST" enctype="multipart/form-data" action="{{ route('admin.user.update') }}">
                                {{ csrf_field() }}
                                {{ method_field('PUT') }}
                                <input type="hidden" name="user_id" id="user_id" value="{{$user['id']}}">
                                <div class="row clearfix">

                                    <div class="col-sm-12">
                                        <div class="form-group">
                                            <div class="col-md-12">
                                            </div>
                                            <div class="text-center preview_holder">
                                                
                                                <?php
                                                if($user['profile_image'] == ""){ ?>
                                                    <img id="imagePreview" src="{{asset('assets/images/default.png')}}" class="img-responsive" alt="your image" width="200px" height="auto" />
                                                <?php
                                                } else { ?>
                                                    <img id="imagePreview" src="<?php echo env('project_image_path').'profile/'.$user['profile_image']; ?>" class="img-responsive" alt="your image" width="200px" height="auto" />
                                                <?php
                                                } ?>
                                                @error('profile_image')
                                                    <label class="error" role="alert">{{ $message }}</label>
                                                @enderror
                                            </div>
                                            <div class="text-center m-b-10">
                                                <div class="form-group text-center">
                                                    <div class="">
                                                        <span class="btn g-bg-blue waves-effect m-b-15 btn-file">
                                                            Upload Image
                                                            <input type="file" id="main_image" name="main_image" class="filestyle" accept="image/jpeg, image/png, image/gif, image/jpg">
                                                        </span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('full_name') error @enderror">
                                                <input type="text" name="full_name" id="full_name" class="form-control" value="@if($user['full_name']){{ $user['full_name'] }}@endif">
                                                <label class="form-label">Full Name</label>
                                            </div>
                                            @error('full_name')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                  
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('country_code') error @enderror">
                                                <input type="text" name="country_code" id="country_code" readonly class="form-control" value="@if($user['country_code']){{ $user['country_code'] }}@endif">
                                                <label class="form-label">Country Code</label>
                                            </div>
                                            @error('country_code')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('mobile_number') error @enderror">
                                                <input type="text" name="mobile_number" id="mobile_number" class="form-control" value="@if($user['mobile_number']){{ $user['mobile_number'] }}@endif" readonly>
                                                <label class="form-label">Mobile Number</label>
                                            </div>
                                            @error('mobile_number')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <div class="form-line focused @error('email') error @enderror">
                                                <input type="text" name="email" id="email" class="form-control" value="@if($user['email']){{ $user['email'] }}@endif" readonly>
                                                <label class="form-label">Email</label>
                                            </div>
                                            @error('email')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="form-group form-float">
                                            <label class="form-label"> Status</label>
                                            <div class=" @error('status') error @enderror">
                                                <input type="radio" id="active" name="status" value="1" <?php echo ($user['status']== '1') ?  "checked" : "" ;  ?> />
                                                <label for="active">Active</label>
                                                <input type="radio" id="inactive" name="status" value="0" <?php echo ($user['status']== '0') ?  "checked" : "" ;  ?> />
                                                <label for="inactive">Inactive</label>   
                                            </div>
                                            @error('status')
                                                <label class="error" role="alert">{{ $message }}</label>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="row clearfix">
                                    <div class="col-md-6">
                                        <button class="btn btn-raised btn-primary waves-effect" type="submit" id="submit_form">SUBMIT</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    
</div>
@endsection
@section('js')
<script src="{{ asset('assets/plugins/momentjs/moment.js') }}"></script>
<script>
    $(document).ready(function(e) {
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    $("#imagePreview").attr("src", e.target.result); //css("background-image", "url("+e.target.result+")");
                }
                reader.readAsDataURL(input.files[0]);
            }
        }
        $("#main_image").change(function() {
            readURL(this);
        });

    });    
    // function readURL(input) {
    //     if (input.files && input.files[0]) {
    //         var reader = new FileReader();

    //         reader.onload = function (e) {
    //             $('#profile_image').css('display', 'block');
    //             $('#profile_image')
    //                 .attr('src', e.target.result)
    //                 .width(150)
    //                 .height(150);
    //         };

    //         reader.readAsDataURL(input.files[0]);
    //     }
    // }
    $(document).ready(function () {
        $('#createDrawProduct').validate({ // initialize the plugin
            rules: {
                full_name: {
                    required: true
                },
                // last_name: {
                //     required: true
                // },
                email: {  
                    required: true,  
                    email: true  
                },
                country_code: {  
                    required: true
                },
                mobile_number: {  
                    required: true,  
                    number: true  
                },
                status: {
                    required: true
                },
            },
            errorPlacement: function(error, element) {
                var placement = $(element).data('error');
                if (placement) {
                    $(placement).append(error)
                } else {
                    error.insertAfter(element);
                }
            }
        });
    });
</script>
@endsection