<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Page Title -->
  <title>@yield('title') | {{ __('home.appname') }}</title>

  <!-- Meta Data -->
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta http-equiv="content-type" content="text/html; charset=utf-8">
  <!--  <meta name="viewport" content="width=device-width, initial-scale=1">-->
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />



  <meta name="description" content="">
  <meta name="keywords" content="">
  <meta name="csrf-token" content="{{ csrf_token() }}">

  @include('web.common.stylesheet')

</head>
@php

$routename = Route::current()->getName();
@endphp

<body @if((Request::segment(2)=='' || Session::get('cust_user_id') !='' || Request::segment(1)=='order-detail' ) && $routename !='customer.home' || $routename !="foodratings" || Request::segment(1)=='resturant-detail' ) class="inner-page" @endif>
  @php

  $cust_id = Session::get('cust_user_id');
  @endphp

  @if($cust_id != '')
  @include('web.common.header_afterlogin')
  @else
  @include('web.common.header')
  @endif

  @yield('content')

  @include('web.common.footer')
  @include('web.common.script')

  <div id="demo"></div>

  <script type="text/javascript">
    function fetchdata() {
      var orderid = localStorage.getItem('orderid');
      $.ajax({
        type: "POST",
        url: "{{ route('customer.getorderstatus') }}",
        dataType: 'json',
        data: {
          'id': orderid,
          '_token': "{{ csrf_token() }}"
        },
        success: function(res) {
          //console.log(res.order_details['orderdetails']);
          // console.log(val.id);
          var html = '';
          if (res.order_details.order_status == 'co') {
            jQuery.each(res.order_details['orderdetails'], function(i, val) {
              $('#orderid').val(orderid);
              $('#customerid').val(res.order_details.customer_id);
              $('#restaurant_id').val(res.order_details.restaurant_id);

              html += "<div class='customfood rating-stars text-center mb-5'><h6>" + val.food_name + "</h6><hr><ul id='" + val.id + "' class='mr-5' style='display:inline-block'><input name='fooditem[" + val.product_id + "][rating]' id='fooditem" + val.id + "' type='hidden' value=''><li class='star' title='Poor' data-value='1'><i class='fa fa-star fa-fw'></i></li><li class='star' title='Fair' data-value='2'><i class='fa fa-star fa-fw'></i></li><li class='star' title='Good' data-value='3'><i class='fa fa-star fa-fw'></i></li><li class='star' title='Excellent' data-value='4'><i class='fa fa-star fa-fw'></i></li><li class='star' title='WOW!!!' data-value='5'><i class='fa fa-star fa-fw'></i></li></ul><input type='text' name='fooditem[" + val.product_id + "][review]' placeholder='{{__('home.review')}}'></div>";


            });
            $("#rating").modal('show');
            $('.fooditemsrating').html(html);
            clearInterval(myInterval);
            localStorage.removeItem('orderid');

          }
        }
      });
    }
    //$(document).ready(function(){
    const myInterval = setInterval(fetchdata, 5000);
    //});
  </script>
  <div class="modal fade" id="rating" tabindex="-1" role="dialog" aria-labelledby="rating" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="payment_modalTitle">{{__('home.rating_review')}}</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <div class="add-address-modal">
            <div class="bg-white">

              <div class="shipping-form pl-0 pr-0 pb-0" style="min-height: 300px;margin: auto;text-align: center;vertical-align: text-bottom;display: table;">
                <form class="form" method="POST" action="{{route('customer.rating')}}">
                  @csrf
                  <section class='rating-widget'>
                    <div class='rating-stars text-center mb-5'>
                      <h3>{{__('home.restaurants_rating')}}</h3>
                      <ul id='restaurantstars' class='mr-5' style="display:inline-block;">
                        <li class='star' title='Poor' data-value='1'>
                          <i class='fa fa-star fa-fw'></i>
                        </li>
                        <li class='star' title='Fair' data-value='2'>
                          <i class='fa fa-star fa-fw'></i>
                        </li>
                        <li class='star' title='Good' data-value='3'>
                          <i class='fa fa-star fa-fw'></i>
                        </li>
                        <li class='star' title='Excellent' data-value='4'>
                          <i class='fa fa-star fa-fw'></i>
                        </li>
                        <li class='star' title='WOW!!!' data-value='5'>
                          <i class='fa fa-star fa-fw'></i>
                        </li>
                      </ul>
                      <input type="text" name="restaurantreview" placeholder="{{__('home.review')}}">
                    </div>
                    <!-- Rating Stars Box -->
                    <h3>{{__('home.fooditem_rating')}}</h3>
                    <div class='rating-stars fooditemsrating text-center '>
                      <h6>{{__('home.fooditem_rating')}}</h6>
                      <ul id='foodstars'>
                        <li class='star' title='Poor' data-value='1'>
                          <i class='fa fa-star fa-fw'></i>
                        </li>
                        <li class='star' title='Fair' data-value='2'>
                          <i class='fa fa-star fa-fw'></i>
                        </li>
                        <li class='star' title='Good' data-value='3'>
                          <i class='fa fa-star fa-fw'></i>
                        </li>
                        <li class='star' title='Excellent' data-value='4'>
                          <i class='fa fa-star fa-fw'></i>
                        </li>
                        <li class='star' title='WOW!!!' data-value='5'>
                          <i class='fa fa-star fa-fw'></i>
                        </li>
                      </ul>
                    </div>


                    <div class='success-box'>
                      <div class='text-message'></div>
                    </div>
                    <input type="hidden" id="orderid" name="orderid" value="">
                    <input type="hidden" id="customerid" name="customerid" value="0">
                    <input type="hidden" id="restaurant_id" name="restaurant_id" value="0">
                    <input type="hidden" id="restaurantrating" name="restaurantrating" value="0">
                    <div class='clearfix'></div>
                    <button type="submit" id="rating_submit" class="btn btn-custom btn btn-primary btn-radius resturant-btn w-100 mt-3" disabled="disabled">{{__('home.submit')}}</button>
                </form>

                <style type="text/css">
                  .success-box {
                    display: none;
                  }

                  .text-center {
                    text-align: center;
                  }

                  a {
                    color: tomato;
                    text-decoration: none;
                  }

                  a:hover {
                    color: #2196f3;
                  }

                  pre {
                    display: block;
                    padding: 9.5px;
                    margin: 0 0 10px;
                    font-size: 13px;
                    line-height: 1.42857143;
                    color: #333;
                    word-break: break-all;
                    word-wrap: break-word;
                    background-color: #F5F5F5;
                    border: 1px solid #CCC;
                    border-radius: 4px;
                  }

                  .header {
                    padding: 20px 0;
                    position: relative;
                    margin-bottom: 10px;

                  }

                  .header:after {
                    content: "";
                    display: block;
                    height: 1px;
                    background: #eee;
                    position: absolute;
                    left: 30%;
                    right: 30%;
                  }

                  .header h2 {
                    font-size: 3em;
                    font-weight: 300;
                    margin-bottom: 0.2em;
                  }

                  .header p {
                    font-size: 14px;
                  }



                  #a-footer {
                    margin: 20px 0;
                  }

                  .new-react-version {
                    padding: 20px 20px;
                    border: 1px solid #eee;
                    border-radius: 20px;
                    box-shadow: 0 2px 12px 0 rgba(0, 0, 0, 0.1);

                    text-align: center;
                    font-size: 14px;
                    line-height: 1.7;
                  }

                  .new-react-version .react-svg-logo {
                    text-align: center;
                    max-width: 60px;
                    margin: 20px auto;
                    margin-top: 0;
                  }

                  .success-box {
                    margin: 50px 0;
                    padding: 10px 10px;
                    border: 1px solid #eee;
                    background: #f9f9f9;
                  }

                  .success-box img {
                    margin-right: 10px;
                    display: inline-block;
                    vertical-align: top;
                  }

                  .success-box>div {
                    vertical-align: top;
                    display: inline-block;
                    color: #888;
                  }



                  /* Rating Star Widgets Style */
                  .rating-stars ul {
                    list-style-type: none;
                    padding: 0;

                    -moz-user-select: none;
                    -webkit-user-select: none;
                  }

                  .rating-stars ul>li.star {
                    display: inline-block;

                  }

                  /* Idle State of the stars */
                  .rating-stars ul>li.star>i.fa {
                    font-size: 1.5em;
                    /* Change the size of the stars */
                    color: #ccc;
                    /* Color on idle state */
                  }

                  /* Hover state of the stars */
                  .rating-stars ul>li.star.hover>i.fa {
                    color: #FFCC36;
                  }

                  /* Selected state of the stars */
                  .rating-stars ul>li.star.selected>i.fa {
                    color: #ffe233;
                  }
                </style>

                </section>

              </div>

            </div>
          </div>
        </div>

      </div>
    </div>
  </div>
</body>
<script type="text/javascript">
  $('#rating').on('shown.bs.modal', function(e) {
    $('.customfood ul').each(function(e) {
      var id = $(this).attr('id');
      // console.log('#'+id+ ' li');
      // console.log($(this).attr('id'));

      $('#' + id + ' li').on('mouseover', function() {

        var onStar = parseInt($(this).data('value'), 10); // The star currently mouse on

        // Now highlight all the stars that's not after the current hovered star
        $(this).parent().children('li.star').each(function(e) {
          if (e < onStar) {
            $(this).addClass('hover');
          } else {
            $(this).removeClass('hover');
          }
        });

      }).on('mouseout', function() {
        $(this).parent().children('li.star').each(function(e) {
          $(this).removeClass('hover');
        });
      });
      $('#' + id + ' li').on('click', function() {
        var onStar = parseInt($(this).data('value'), 10); // The star currently selected
        var stars = $(this).parent().children('li.star');

        for (i = 0; i < stars.length; i++) {
          $(stars[i]).removeClass('selected');
        }

        for (i = 0; i < onStar; i++) {
          $(stars[i]).addClass('selected');
        }

        // JUST RESPONSE (Not needed)
        var ratingValue = parseInt($('#' + id + ' li.selected').last().data('value'), 10);
        var msg = "";
        if (ratingValue > 1) {
          $('#rating_submit').removeAttr('disabled');
          msg = "Thanks! You rated this " + ratingValue + " stars.";
        } else {
          msg = "We will improve ourselves. You rated this " + ratingValue + " stars.";
        }
        responseMessage(msg, ratingValue);

      });

      function responseMessage(msg, ratingValue) {
        // $('.success-box').fadeIn(200);  
        // $('.success-box div.text-message').html("<span>" + msg + "</span>");
        //alert(ratingValue);

        $("#fooditem" + id).val(ratingValue);

        // $('#foodrating').val(ratingValue);
      }
    });
  })

  $(document).ready(function() {

    /* 1. Visualizing things on Hover - See next part for action on click */
    $('#foodstars li').on('mouseover', function() {
      var onStar = parseInt($(this).data('value'), 10); // The star currently mouse on

      // Now highlight all the stars that's not after the current hovered star
      $(this).parent().children('li.star').each(function(e) {
        if (e < onStar) {
          $(this).addClass('hover');
        } else {
          $(this).removeClass('hover');
        }
      });

    }).on('mouseout', function() {
      $(this).parent().children('li.star').each(function(e) {
        $(this).removeClass('hover');
      });
    });


    /* 2. Action to perform on click */
    $('#foodstars li').on('click', function() {
      var onStar = parseInt($(this).data('value'), 10); // The star currently selected
      var stars = $(this).parent().children('li.star');

      for (i = 0; i < stars.length; i++) {
        $(stars[i]).removeClass('selected');
      }

      for (i = 0; i < onStar; i++) {
        $(stars[i]).addClass('selected');
      }

      // JUST RESPONSE (Not needed)
      var ratingValue = parseInt($('#foodstars li.selected').last().data('value'), 10);
      var msg = "";
      if (ratingValue > 1) {
        $('#rating_submit').removeAttr('disabled');
        msg = "Thanks! You rated this " + ratingValue + " stars.";
      } else {
        msg = "We will improve ourselves. You rated this " + ratingValue + " stars.";
      }
      responseMessage(msg, ratingValue);

    });


  });
  /*  restaurant rating   */


  /* 1. Visualizing things on Hover - See next part for action on click */
  $('#restaurantstars li').on('mouseover', function() {
    var onStar = parseInt($(this).data('value'), 10); // The star currently mouse on

    // Now highlight all the stars that's not after the current hovered star
    $(this).parent().children('li.star').each(function(e) {
      if (e < onStar) {
        $(this).addClass('hover');
      } else {
        $(this).removeClass('hover');
      }
    });

  }).on('mouseout', function() {
    $(this).parent().children('li.star').each(function(e) {
      $(this).removeClass('hover');
    });
  });


  /* 2. Action to perform on click */
  $('#restaurantstars li').on('click', function() {
    var onStar = parseInt($(this).data('value'), 10); // The star currently selected
    var stars = $(this).parent().children('li.star');

    for (i = 0; i < stars.length; i++) {
      $(stars[i]).removeClass('selected');
    }

    for (i = 0; i < onStar; i++) {
      $(stars[i]).addClass('selected');
    }

    // JUST RESPONSE (Not needed)
    var ratingValue = parseInt($('#restaurantstars li.selected').last().data('value'), 10);
    var msg = "";
    if (ratingValue > 1) {
      $('#rating_submit').removeAttr('disabled');

      msg = "Thanks! You rated this " + ratingValue + " stars.";
    } else {
      msg = "We will improve ourselves. You rated this " + ratingValue + " stars.";
    }
    resresponseMessage(msg, ratingValue);

  });

  function responseMessage(msg, ratingValue) {
    $('.success-box').fadeIn(200);
    $('.success-box div.text-message').html("<span>" + msg + "</span>");
    $('#foodrating').val(ratingValue);
  }

  function resresponseMessage(msg, ratingValue) {
    $('.success-box').fadeIn(200);
    $('.success-box div.text-message').html("<span>" + msg + "</span>");
    $('#restaurantrating').val(ratingValue);
  }
</script>

</html>