@extends('layout.website')
@section('title') Add Bank Info @endsection
@section('content')
    <section class="section-img vh-100 bg-overlay-theme-black-90">
        <div class="ltn__slide-item-inner ">
            <div class="container">
                <div class="row justify-content-center">
                    <div class="col-lg-6 col-md-8">
                        <div class="bg-back">
                            @if(session()->has('success'))
                                <div class="alert alert-success">
                                    {{ session()->get('success') }}
                                </div>
                            @endif
                            @if(session()->has('error'))
                                <div class="alert alert-danger">
                                    {{ session()->get('error') }}
                                </div>
                            @endif
                            <div class="section-title-area text-center pt-2">
                                <a href="index.php"><img src="assets/img/bg/bank.png" alt=""
                                        class="img-fluid  align-items-center text-center mb-1"
                                        style="height: 60px;"></a>
                                <h1 class="section-title">Add Bank Info</h1>

                                <p>All transactions would be done with this
                                    bank account</p>
                            </div>
                            <form class="form-row" id="add_bank_details" action="{{route('website.addBankInfo')}}" method="post" autocomplete="off">
                            @csrf
                                <div class="col-lg-12 ">
                                    <div class="form-group">
                                        <select class="form-select border-bottom" style="border:none;" id="bank_id" name="bank_id" placeholder="Bank Name">
                                            @if($bank_list)
                                                @foreach($bank_list as $list)
                                                    <option value="{{$list->id}}">{{$list->name}}</option>
                                                @endforeach
                                            @endif
                                        </select>
                                    </div>
                                </div>
                                <div class="col-lg-12 ">
                                    <div class="form-group">
                                        <input type="text" id="account_holder_name" name="account_holder_name" class="form-control"
                                            placeholder="Account Holder Name">
                                    </div>
                                </div>
                                <div class="col-lg-12 ">
                                    <div class="form-group">
                                        <input type="text" id="account_number" name="account_number" class="form-control phone-input"
                                            placeholder="Account Number">
                                    </div>
                                </div>
                                <div class="col-lg-12 ">
                                    <div class="form-group">
                                        <input type="text" id="routing_number" name="routing_number" class="form-control phone-input"
                                            placeholder="Routing Number">
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                <input type="submit" style="background-color: var(--ltn__secondary-color) !important;font-size: 18px;padding: 12px 30px !important;    height: 57px !important;" value="Continue" class="btn btn-raised btn-yellow waves-effect btn btn-orange w-100 mt-3">
                                    <!-- <a href="successmessage.php" class="theme-btn-1 btn btn-block mt-2 mb-2">
                                        Continue</a> -->
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </div>


    </section>
@endsection
@section('script')
<script>

    $("#add_bank_details").validate({
        rules: {
            "bank_id" : {
                required: true,
            },
            "account_holder_name" : {
                required: true,
                lettersOnly: true,
            },
            
            "account_number" : {
                required: true,
                number: true,
            },
            "routing_number" : {
                required: true,
                number: true,
            }, 
        },
        messages:{
            bank_id: {
                required: "Please select bank",
            },
            account_holder_name: {
                required: "Please enter account holder name",
                lettersOnly: 'Please enter characters only',
            },
            account_number: {
                required: "Please enter account number",
                number: "Please enter only number",
            },
            routing_number: {
                required: "Please enter routing number",
                number: "Please enter only number",
            },
        },
        submitHandler:function(form) {
            loader('show');
            form.submit();
        },
        highlight: function (input) {
            $(input).parents('.form-line').addClass('error');
        },
        unhighlight: function (input) {
            $(input).parents('.form-line').removeClass('error');
        },
        errorPlacement: function (error, element) {
            $(element).parents('.form-group').append(error);
        }    
    });   
    $.validator.addMethod("lettersOnly", function(value, element) {
        return this.optional(element) || /^[A-Za-z\s]+$/.test(value);
    }, "Please enter only characters");
</script>
@endsection
