@extends('layout.website')
@section('title') Inspection Details @endsection
@section('content')

<div class="ispection-details-header" data-bs-bg="{{asset('web_assets/img/house/1.jpg')}}" class="position-absolute">
    <div class="like-comment">
        <a href="#"><img src="{{asset('web_assets/img/bg/likes-btn.png')}}">235</a>
        <a href="#"><img src="{{asset('web_assets/img/bg/messages-btn.png')}}">15</a>

    </div>
</div>


<!-- Start MAIN CONTENT -->
<div class="main_content">
    @php

    $originalDateTime = $data->inspection_date_time;
    $dateTimeObject = new DateTime($originalDateTime, new DateTimeZone('UTC'));


    $dateTimeObject->setTimezone(new DateTimeZone('Asia/Kolkata'));


    $formattedDateTime = $dateTimeObject->format('F j, Y H:i:s');

    @endphp
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-12 col-lg-9">

                <div class="inspect-detail">
                    <div class="group-avatar group-height">
                        <div class="profile">
                            <img src="{{asset('web_assets/img/team/1.jpg')}}" alt="Image">
                            <div class="avatar-btn">
                                <input class="uploadBtn-main-input" name="cover" type="file" accept="image/x-png, image/jpeg" id="avatar__input--source">
                                <label for="avatar__input--source"><i class="fas fa-camera"></i></label>
                            </div>
                        </div>
                    </div>
                    <div class="ispection-details">
                        <div class="client">
                            <div class="name">
                                <div class="title">
                                    <span class="head-clienttit">client</span>
                                    <h6 class="head-subtitle">{{$data->client_info->client_name}}</h6>
                                </div>
                                <div class="action">
                                    <a href="{{ route('website.delete_inspection', $data->id)}}" class="btn btn-delete">Delete</a>

                                    <a href="{{route('website.edit_inspection_details',$data->id)}}" class="btn btn-edit">Edit</a>
                                </div>
                            </div>
                            <div class="email">
                                <h6 class="email-title">Email:</h6>
                                <span class="id-number">
                                    {{$data->client_info->email}}
                                </span>
                            </div>
                            <div class="phone">
                                <h6 class="phone-title">Phone:</h6>
                                <span class="id-number">
                                    {{$data->client_info->phone_number}}
                                </span>
                            </div>
                            <div class="payment">


                                <div class="unpaid">
                                    <span><img src="{{asset('web_assets/img/bg/payment-status-unpaid.png')}}">Payment
                                        Status</span>
                                    @if($data->payment_info == 'UnPaid')
                                    <span class="unsign">Unpaid</span>
                                    @else
                                    <span class="sign">paid</span>
                                    @endif

                                </div>


                                <div class="Signed">
                                    <span><img src="{{asset('web_assets/img/bg/contract-signed.png')}}">Contract</span>
                                    @if($data->contract_status == 'Unsigned!')
                                    <span class="unsign"> UnSigned!</span>
                                    @else
                                    <span class="sign"> Signed!</span>
                                    @endif
                                </div>

                            </div>
                        </div>

                    </div>
                </div>


                <div class="client-info">
                    <h1 class="title">Inspection Info</h1>
                    <div class="information">
                        <div class="left">
                            <a href="#">
                                <img src="{{asset('web_assets/img/team/2.jpg')}}" alt="avatar">
                            </a>
                        </div>
                        <div class="middle">
                            <div class="title">Inspector</div>
                            <span class="subtitle">Robert</span>
                        </div>
                        <div class="right">
                            <div class="rate">$199</div>
                            <span class="subtitle">Inspection Fee</span>
                        </div>
                    </div>
                    <hr>
                    <div>
                        <div class="inspection-date">Inspection Date and Time</div>
                        <span><img src="{{asset('web_assets/img/bg/date-time.png')}}">{{$formattedDateTime}}</span>
                    </div>
                    <hr>
                    <div>
                        <div class="inspection-date">Home address to be inspected</div>
                        <span><img src="{{asset('web_assets/img/bg/location.png')}}">{{$data->inspection_address}}</span>
                        <span><img src="{{asset('web_assets/img/bg/map.png')}}"></span>
                    </div>
                </div>


                @foreach ($realtor_data as $realtor)

                <div class="realtor-info mt-2">
                    <h1 class="title">Realtor Info</h1>
                    <div class="email">
                        <h6 class="email-title">Name</h6>
                        <span class="id-number">
                            {{$realtor->realtor_name}}
                        </span>
                    </div>
                    <div class="phone">
                        <h6 class="phone-title">Phone</h6>
                        <span class="id-number">
                            {{$realtor->phone_number}}
                        </span>
                    </div>
                </div>
                @endforeach


                <div class="invoice-contract-info mt-2">
                    <div class="invoice-contract">
                        <div>
                            <h2 class="title">Invoice</h2>
                            <span class="subtitle">Your invoice generated</span>
                        </div>
                        <div><a href="{{route('website.generate_invoice')}}">
                                <img src="{{asset('web_assets/img/bg/invoice.png')}}"></a>
                        </div>
                    </div>
                    <div class="invoice-contract mt-2">
                        <div>
                            <h2 class="title">Contract</h2>
                            <span class="contract-title">You can select contract text here</span>
                        </div>
                        <div><a href="{{route('website.create_edit_contract')}}">
                                <img src="{{asset('web_assets/img/bg/invoice.png')}}"></a>
                        </div>
                    </div>
                    <div>
                        <h2 class="message-text">Your custom message</h2>
                        <p class="contract-text">Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam
                            nonumy eirmod tempor
                            invidunt ut labore et dolore magna</p>
                    </div>
                </div>


                <div class="email-invoice-info mt-2">
                    <div class="email-invoice">
                        <span class="email-title">Email Invoice & Contract</span>
                        <i class="fas fa-arrow-right"></i>
                    </div>
                    <div class="form-check">
                        <input class="form-check-input" type="checkbox" id="check1" name="list1" value="" checked>
                        <div class="form-check-label cc-email">CC Inspector Email</div>
                        <span class="cc-email-id">jason_Mann01@gmail.com</span>
                    </div>
                    <div class="form-check">
                        <input class="form-check-input" type="checkbox" id="check1" name="list1" value="" checked>
                        <div class="form-check-label cc-email">CC Realtor Email</div>
                        <span class="cc-email-id">robert_mark01@gmail.com</span>
                    </div>
                </div>
                <div class="texting-link-info mt-2">
                    <div class="texting-invoice">
                        <span class="text-title">Copy links to Text</span>
                        <i class="fas fa-arrow-right"></i>
                    </div>
                </div>
                <div class="link-btn-info mt-2">
                    <div class="link-btn-action">
                        <a href="#"><img src="{{asset('web_assets/img/bg/save-btn.png')}}" class="img-section">Save</a>
                        <a href="#"><img src="{{asset('web_assets/img/bg/sync-btn.png')}}" class="img-section">Sync</a>
                        <a href="#" data-bs-toggle="modal" data-bs-target="#more-option"><img src="{{asset('web_assets/img/bg/more-btn.png')}}" class="img-section">More</a>
                    </div>
                    <hr>
                    <div class="report-inspect-btn d-flex">
                        <a class="btn btn-calendar w-50" href="#"><img src="{{asset('web_assets/img/bg/report-icon.png')}}" class="img-section">Report
                            Builder</a>
                        <a class="btn btn-orange w-50" href="#"><img src="{{asset('web_assets/img/bg/inspect-icon.png')}}" class="img-section">Inspect</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- END MAIN CONTENT -->



<div class="modal fade" id="more-option" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header" style="background: #F3F3F3;">
                <h4 class="title text-center">More Options</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div class="modal-body">
                <div class="icon">
                    <a href="edit-schedule-inspection.php"><img src="{{asset('web_assets/img/bg/edit-icon.png')}}" class="img-icon">Edit</a>
                    <div><img src="{{asset('web_assets/img/bg/invoice-icon.png')}}" class="img-icon">Invoice</div>
                    <div><img src="{{asset('web_assets/img/bg/see-contract-icon.png')}}" class="img-icon">See Contract</div>
                    <div><img src="{{asset('web_assets/img/bg/preview-report-icon.png')}}" class="img-icon">Preview Report</div>
                    <div><img src="{{asset('web_assets/img/bg/delete-icon.png')}}" class="img-icon">Delete Inspection</div>
                </div>
                <div class="final-report">
                    <span class="text-title">Generate Final Report</span>
                    <i class="fas fa-arrow-right"></i>
                </div>
            </div>

        </div>
    </div>
</div>
@endsection
@section('script')
@endsection