@extends('layout.website')
@section('title') Map @endsection
@section('content')
<!-- Start MAIN CONTENT -->
<div class="main_content">
    <div class="ltn__appointment-area pt-115--- pb-120">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">

                    <form action="#">
                        <div class="col-lg-12">
                            <!-- Search Widget -->
                            <div class="searchbox-input mt-3 ">
                                <input type="text" id="location" name="location" placeholder="Search.." class="form-control ">
                            </div>
                        </div>

                        <div class="col-lg-12">
                            <div class="property-details-google-map mb-60">
                                <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d9334.271551495209!2d-73.97198251485975!3d40.668170674982946!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x89c25b0456b5a2e7%3A0x68bdf865dda0b669!2sBrooklyn%20Botanic%20Garden%20Shop!5e0!3m2!1sen!2sbd!4v1590597267201!5m2!1sen!2sbd" width="100%" height="100%" frameborder="0" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="container">




            <form action="{{route('website.map')}}" method="post" enctype="multipart/form-data" data-parsley-validate="">
                @csrf

                <input type="hidden" name="latitude" id="latitude">
                <input type="hidden" name="longitude" id="longitude">

                <div class="row">
                    <div class="col-lg-6 ">
                        <div class="form-group">
                            <input name="inspection_address" type="text" id="inspection_address" class="form-control" placeholder="Address" data-parsley-required="true" data-parsley-required-message="Please enter a inspection address" data-parsley-errors-container="#inspectionaddresserror" readonly>
                        </div>
                        <span id="inspectionaddresserror" class="text-danger"></span>
                    </div>
                    <div class="col-lg-6 ">
                        <div class="form-group">
                            <input name="house_number" type="text" id="exampleInputEmail1" class="form-control" placeholder="House number, Street" data-parsley-required="true" data-parsley-required-message="Please enter a house number" data-parsley-errors-container="#housenumbererror">
                        </div>
                        <span id="housenumbererror" class="text-danger"></span>
                    </div>


                    <div class="col-lg-6 ">
                        <div class="form-group">
                            <input name="zip_code" type="text" id="zip_code" class="form-control" placeholder="Zipcode" data-parsley-required="true" data-parsley-required-message="Please enter a zip  code" data-parsley-errors-container="#zipcodeerror">
                        </div>
                        <span id="zipcodeerror" class="text-danger"></span>
                    </div>


                    <div class="col-lg-6 ">
                        <div class="form-group">
                            <input name="city" type="text" id="city" class="form-control" placeholder="City" data-parsley-required="true" data-parsley-required-message="Please enter a city" data-parsley-errors-container="#cityerror" readonly>
                        </div>
                        <span id="cityerror" class="text-danger"></span>
                    </div>
                    <button class="btn btn-orange w-100  m-auto mt-3" type="submit" data-bs-toggle="modal" data-bs-target="#success">Add</button>
                </div>

            </form>



        </div>
        <!-- END MAIN CONTENT -->
    </div>
</div>
<div class="modal fade" id="success" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="p-3">Add Realtors Info</h4>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="ltn__slide-item-inner ">
                    <div class="container">
                        <div class="row justify-content-center">
                            <div class="col-lg-6 col-md-8">
                                <div class="bg-back">
                                    <div class="section-title-area text-center pt-4 pb-4">

                                        <div style="border-radius:200px; height:200px; width:200px; background: #F8FAF5; margin:0 auto; border:1px solid #F88125;">
                                            <i class="checkmark successtik">✓</i>
                                        </div>
                                        <h1 class="section-title text-center">Success</h1>
                                        <p class="">Your inspection has been saved to
                                            the Calendar..</p>
                                        <span class=" text-center">Scheduled at 26 April, 2021</span>
                                        <a class="btn btn-calendar  mt-3" href="inspection-details.php">OK</a>

                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
@endsection
@section('script')
<script src="https://cdn.jsdelivr.net/npm/parsleyjs@2.9.2/dist/parsley.min.js"></script>

<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?key=AIzaSyCpVBkLUpYRzn3H3D9otnOWr_9XSuGvL74&libraries=places,drawing&sensor=false"></script>
<script>
    $(document).ready(function() {
        $("#latitudeArea").hide();
        $("#longitudeArea").hide();
    });

    function initialize() {
        var input = document.getElementById('location');
        var autocomplete = new google.maps.places.Autocomplete(input);
        input.setAttribute('placeholder', '');
        autocomplete.addListener('place_changed', function() {
            var place = autocomplete.getPlace();
            $('#latitude').val(place.geometry['location'].lat());
            $('#longitude').val(place.geometry['location'].lng());
            $('#inspection_address').val(place.formatted_address);

            // Additional handling for zip_code and city (assuming these fields are present in the form)
            for (var i = 0; i < place.address_components.length; i++) {
                var addressComponent = place.address_components[i];
                if (addressComponent.types.includes('postal_code')) {
                    $('#zip_code').val(addressComponent.short_name);
                }
                if (addressComponent.types.includes('locality')) {
                    $('#city').val(addressComponent.long_name);
                }
            }

            $("#latitudeArea").toggle(!!place.geometry && !!place.geometry.location);
            $("#longitudeArea").toggle(!!place.geometry && !!place.geometry.location);
        });

    }

    google.maps.event.addDomListener(window, 'load', initialize);
</script>






@endsection