@extends('layout.website')
@section('title') Settings @endsection
@section('content')
<div class="ltn__breadcrumb-area text-left bg-overlay-white-30 bg-image " data-bs-bg="assets/img/bg/14.jpg">
    <div class="container pt-0">
        <h1 class="page-title text-white">Settings</h1>
        <div class="ltn__breadcrumb-list">
            <ul>
                <li><a href="home.php" class="ltn__secondary-color"><span class="ltn__secondary-color"><i class="fas fa-home"></i></span>
                        Home</a></li>
                <li>Settings</li>
            </ul>
        </div>
    </div>
</div>
<!-- Start MAIN CONTENT -->
<div class="main_content">
    <div class="ltn__product-area ltn__product-gutter section-padding">
        <div class="container">
            <div class="settings">
                <div class="left">

                    @foreach ($business_details as $business)
                    <div class="items pb-4">
                        <a href="#">
                            <h5>Set Business Info
                                <span class="add-info" data-bs-toggle="modal" data-bs-target="#add-businessinfo">
                                    <img src="web_assets/img/bg/add-business-info.png">
                                </span>
                            </h5>
                            <div class="add-business-info">
                                <div>
                                    <img src="web_assets/img/bg/busines-info.png" class="business-img">
                                </div>
                                <div>
                                    <h6 class="title">{{$business->business_name}}</h6>
                                    <span class="subtitle">{{$business->country_code}} {{$business->phone_number}}</span>
                                    <div class="subtitle">{{$business->business_email}}</div>
                                    <span class="subtitle">{{$business->business_address}}</span>
                                </div>
                            </div>
                        </a>
                    </div>
                    @endforeach


                    <div class="items">
                        <h5>Report file settings</h5>
                        <div class="item divider">
                            <span>
                                Setup file naming protocol<br>
                                <a>YYMMDD_CLIENTLASTNAME_PROPERTYADDRESS</a>
                            </span>
                            <div><a href="#" data-bs-toggle="modal" data-bs-target="#add-protocolurl"><img src="web_assets/img/bg/left-aerrow.png"></a>
                            </div>
                        </div>
                        <div class="item">
                            <span>
                                Setup Folder naming protocol<br>
                                <a>YYMMDD_CLIENTLASTNAME</a>
                            </span>
                            <div>
                                <img src="web_assets/img/bg/left-aerrow.png">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="right">
                    <div class="items">
                        <h5>About & Help</h5>
                        <div class="item divider">
                            <div>
                                <img src="web_assets/img/bg/about_us.png" class="me-3">
                                <a href="{{route('website.bank_details')}}"><span>Bank Info</span></a>
                            </div>
                            <div>
                                <img src="web_assets/img/bg/left-aerrow.png">
                            </div>
                        </div>
                        <div class="item divider">
                            <div>
                                <img src="web_assets/img/bg/about-bank.png" class="me-3">
                                <a href="{{route('website.change_password')}}"><span>Chnage Password</span></a>
                            </div>
                            <div>
                                <img src="web_assets/img/bg/left-aerrow.png">
                            </div>
                        </div>
                    </div>
                    <div class="items">
                        <h3>Logout</h3>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- SET BUSINESS INFO -->

<div class="modal fade" id="add-businessinfo" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="set-business-title">Set Business Info</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>

            </div>
            <div class="modal-body">
                <p>Add Below details which is visible on all
                    invoices and contracts.</p>
                <div class="account_box">


                    <form action="{{route('website.settings')}}" class="form-row" method="post" data-parsley-validate="" enctype="multipart/form-data">
                        @csrf

                        <div class="col-lg-12">
                            <div class="form-group text-center">
                                <label class="profile-img">
                                    <img id="preview" src="web_assets/img/bg/profile.png">
                                    <input type="file" name="business_logo" placeholder="Company Logo" required onchange="previewImage(event)">
                                </label>
                            </div>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <input name="business_name" type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Company Name" data-parsley-required="true" data-parsley-required-message="Please enter a company name" data-parsley-errors-container="#companyerror">
                            </div>
                            <span id="companyerror" class="text-danger"></span>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <textarea name="business_address" placeholder="Company Address" class="form-control" data-parsley-required="true" data-parsley-required-message="Please enter a company address" data-parsley-errors-container="#caddresserror"></textarea>
                            </div>
                            <span id="caddresserror" class="text-danger"></span>
                        </div><br>
                        <div class="col-lg-12">
                            <div class="phone-number">
                                <select name="country_code" class="form-select" aria-label="Default select example" data-parsley-required="true" data-parsley-required-message="Please enter a company name" data-parsley-errors-container="#companyerror">
                                    <option>+00</option>
                                    <option>+91</option>
                                    <option>+124</option>
                                    <option>+0012</option>
                                </select>
                                <input type="text" required="" class="form-control" name="phone_number" placeholder="Realtor Phone Number" data-parsley-required="true" data-parsley-required-message="Please enter a phone number" data-parsley-errors-container="#phoneerror">
                            </div>
                            <span id="phoneerror" class="text-danger"></span>
                        </div>
                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <input name="business_email" type="text" id="exampleInputEmail1" class="form-control trial-input" placeholder="Email Address" data-parsley-required="true" data-parsley-required-message="Please enter a email address" data-parsley-errors-container="#emailerror">
                            </div>
                            <span id="emailerror" class="text-danger"></span>
                        </div>
                        <div class="col-lg-12 ">
                            <button class="btn btn-orange w-100 mt-3">Save</button>
                        </div>
                    </form>



                </div>
            </div>
        </div>
    </div>
</div>



<div class="modal fade" id="add-protocolurl" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-light">
                <h1 class="set-business-title ">Setup File Naming Protocol</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>

            </div>
            <div class="modal-body">

                <div class="account_box">
                    <form class="form-row">

                        <div class="col-lg-12 ">
                            <div class="form-group">
                                <input type="text" id="exampleInputEmail1" class="form-control trial-input" value="YYMMDD_CLIENTLASTNAME_PROPERTYADDRESS">

                            </div>
                        </div>

                        <div class="col-lg-12 ">
                            <a class="btn btn-orange w-100 mt-3" href="settings.php" data-bs-dismiss="modal">Save</a>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
@section('script')

<script src="https://cdn.jsdelivr.net/npm/parsleyjs@2.9.2/dist/parsley.min.js"></script>

<script>
    function previewImage(event) {
        var input = event.target;
        if (input.files && input.files[0]) {
            var reader = new FileReader();
            reader.onload = function(e) {
                var imgElement = document.getElementById("preview");
                imgElement.setAttribute("src", e.target.result);
            };
            reader.readAsDataURL(input.files[0]);
        }
    }
</script>

@endsection