<?php $__env->startSection('title'); ?> Users <?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>Users
                    <small class="text-muted">List of all users</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">Users</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <div class="card">
                    <div class="body">
                        <div class="table-responsive">
                            <table id="user_list" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                        <th>id</th>
                                        <th>Profile</th>
                                        <th>Full Name</th>
                                        <th>User Type</th>
                                        <th>Email Address</th>
                                        <th>Phone Number</th>
                                        <th>Registered Date</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </section>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script type="text/javascript">
  $(function () {

    var table = $('#user_list').DataTable({
        dom: "Bfrtip",
        buttons: ['excel'],
        processing: true,
        serverSide: true,
        "ajax": {
            "url": "<?php echo e(route('admin.user.list')); ?>",
            "type": "POST",
            data: {
                "_token": "<?php echo e(csrf_token()); ?>"
            }
        },
         "columnDefs": [
            {
                "targets": [ 0 ],
                "visible": false,
                "searchable": false
            },],
        columns: [
            {data: 'id', name: 'id'},
            {data: 'profile_image', name: 'profile_image'},
            {data: 'full_name', name: 'full_name'},
            {data: 'user_type', name: 'user_type'},
            {data: 'email', name: 'email'},
            {data: 'phone_number', name: 'phone_number', render:function(data, type, row){
              return '+'+row.country_code+' '+row.phone_number
            }},
            {data: 'createdat', name: 'createdat'},
            {data: 'is_active', name: 'is_active', render:function(data, type, row){
                if(row.is_active == '1'){
                    // return 'Active';
                    return '<label class="switch"><input type="checkbox" checked id="'+row.id+'" class="changeStatus"><span class="slider round"></span></label>';
                } else {
                    // return 'Inactive';
                   return '<label class="switch"><input type="checkbox" id="'+row.id+'" class="changeStatus"><span class="slider round"></span></label>';
                }
            }},
            {data: 'action', name: 'action'}
        ]
    });
});
     function changeStatus(id) {
      Swal.fire({
        title: 'Are you sure?',
        text: "Make it active or inactive!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, update it!'
        }).then((result) => {
        if (result.isConfirmed) {
      $.ajax(
        {
            url: "<?php echo e(route('admin.user.change')); ?>/"+id,
            type: 'GET',
            dataType: "JSON",
            data: {
            },
            success: function (data)
            {
                Swal.fire(
                    'Updated!',
                    'User record update successfully!',
                    'success'
                    )
               var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
            }
        });
       }
    })
  
  }
function deleteFunc(id){
    Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
        if (result.isConfirmed) {
            alert(id);
            // ajax
            $.ajax({
                type:"GET",
                url: "<?php echo e(route('admin.user.delete')); ?>/"+id,
                // data: { id: id },
                dataType: 'json',
                success: function(res){
                    console.log(res);
                    Swal.fire(
                    'Deleted!',
                    'User record delete successfully!',
                    'success'
                    )
                    var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
                }
            });
        }
    })

}
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layout.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/homespector/web/resources/views/admin/users/list.blade.php ENDPATH**/ ?>