<?php $__env->startSection('title'); ?> FAQ <?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<?php
use App\Helpers\Admin;
$create =  Admin::checkPermission(Session::get('user_id'),'FAQ','Create');
?>
<div class="container-fluid">
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">&nbsp;</h4>
        </div>
        <div class="col-md-7 align-self-center text-right">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active">&nbps;</li>
                </ol>
            </div>
        </div>
    </div>
    <section class="content home">
        <div class="block-header">
            <div class="row">
                <div class="col-lg-7 col-md-6 col-sm-12">
                    <h2>FAQ
                    <small class="text-muted">List of all FAQ</small>
                    </h2>
                </div>
                <div class="col-lg-5 col-md-6 col-sm-12">
                    <ul class="breadcrumb float-md-right">
                        <li class="breadcrumb-item"><a href="<?php echo e(route('admin.dashboard')); ?>"><i class="zmdi zmdi-home"></i> Home</a></li>
                        <li class="breadcrumb-item active">FAQ</li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container-fluid">
            <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12">
                <?php if(session()->has('message')): ?>
                    <div class="alert alert-success">
                        <?php echo e(session()->get('message')); ?>

                    </div>
                <?php endif; ?>
                <div class="card">
                    <div class="header"></div>
                     <?php if($create == 1){ ?> 
                        <div class="col-md-12 align-self-center text-right">
                            <div class="d-flex justify-content-end align-items-center">
                                 <a href="<?php echo e(url('admin/faq/add')); ?>" type="button" class="btn btn-raised btn-yellow waves-effect float-right">Add </a>
                            </div>
                        </div>
                        <?php } ?> 
                    <div class="body">
                        <div class="table-responsive">
                            <table id="faq_list" class="table table-bordered table-striped table-hover js-basic-example dataTable a-remove-hover-focus data-table">
                                <thead>
                                    <tr>
                                       
                                        <th>Id</th>
                                        <th>Question</th>
                                        <th>Answer</th>
                                        <th>Added Date </th>
                                        <th>Modified Date</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </div>  
    </section>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
<script type="text/javascript">

  $(function () {

    var table = $('#faq_list').DataTable({
        dom: "Bfrtip",
        buttons: ['excel'],
        processing: true,
        serverSide: true,
        "ajax": {
            "url": "<?php echo e(route('admin.faq.list')); ?>",
            "type": "POST",
            data: {
                "_token": "<?php echo e(csrf_token()); ?>"
            }
        },
        columns: [
             {data: 'id', name: 'id'},
             {data: 'question', name: 'question'},
             {data: 'answer', name: 'answer'},
             {data: 'created_at', name: 'created_at'},
             {data: 'updated_at', name: 'updated_at'},
             {data: 'status', name: 'status', render:function(data, type, row){
                if(row.status == '1'){
                    return 'Active';
                } else {
                    return 'Inactive';
                }
            }},
             {data: 'action', name: 'action'},
        ],
        "columnDefs": [
            {
                "targets": [ 0 ],
                "visible": false,
                "searchable": false
            },],
    });
  });
  function changeStatus(id) {
      Swal.fire({
        title: 'Are you sure?',
        text: "Make it Active or Inactive!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, update it!'
        }).then((result) => {
        if (result.isConfirmed) {
      $.ajax(
        {
            url: "<?php echo e(route('admin.faq.change')); ?>/"+id,
            type: 'GET',
            dataType: "JSON",
            data: {
            },
            success: function (data)
            {
                Swal.fire(
                    'Updated!',
                    'Faq record update successfully!',
                    'success'
                    )
               var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
             }
            });
        }
    })
}
function deleteFunc(id){
    Swal.fire({
        title: 'Are you sure?',
        text: "You won't be able to revert this!",
        icon: 'warning',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
        if (result.isConfirmed) {
            $.ajax({
                type:"GET",
                url: "<?php echo e(route('admin.faq.delete')); ?>/"+id,
                // data: { id: id },
                dataType: 'json',
                success: function(res){
                    console.log(res);
                    Swal.fire(
                    'Deleted!',
                    'FAQ record delete successfully!',
                    'success'
                    )
                    var oTable = $('.data-table').dataTable();
                    oTable.fnDraw(false);
                }
            });
        }
    })
}
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layout.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/homespector/web/resources/views/admin/faqs/list.blade.php ENDPATH**/ ?>