<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="description" content="">
        <meta name="author" content="">
        <link rel=icon href="<?php echo e(asset('web/images/favicon.png')); ?>" sizes="20x20" type="image/png">
        <title>Login | <?php echo e(config('app.name')); ?></title>
        <link rel="stylesheet" href="<?php echo e(asset('assets/plugins/bootstrap/css/bootstrap.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/main.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/authentication.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/color_skins.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('assets/css/custom_change.css')); ?>">
        <link type='text/css' rel="stylesheet" href="<?php echo e(asset('assets/css/toasted.min.css')); ?>">
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons"  rel="stylesheet">
    </head>
    <body class="theme-orange">
        <?php echo $__env->make('admin.common.loader', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="authentication">
            <div class="card">
                <div class="body">
                    <div class="row"><div class="col-lg-12">
                        <div class="header slideDown">
                            <div class="logo">  <h3 style="color:#f88238;"><?php echo e(config('app.name')); ?></h3></div>
                            <h1>Welcome To <?php echo e(config('app.name')); ?> Admin</h1>
                        </div>
                    </div>
                    <form class="col-lg-12" id="loginform" name="loginform" method="POST" action="<?php echo e(route('admin.login.check')); ?>">
                        <?php echo csrf_field(); ?>
                        <h5 class="title">Sign in to your Account</h5>
                        <div class="form-group form-float">
                            <div class="form-line">
                                <input class="form-control" type="text" id="email" name="email" placeholder="" tabindex="1" value="<?php if(old('email')): ?><?php echo e(old('email')); ?><?php elseif(\App\Helpers\Admin::getRememberMeCookie()['email']): ?><?php echo e((\App\Helpers\Admin::getRememberMeCookie())['email']); ?><?php endif; ?>">
                                <label class="form-label">Email</label>
                            </div>
                            <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <label class="error" role="alert"><?php echo e($message); ?></label>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div class="form-group form-float">
                            <div class="form-line">
                                <input class="form-control" type="password" name="password" id="password" placeholder="" tabindex="2" value="<?php if(\App\Helpers\Admin::getRememberMeCookie()['password']): ?><?php echo e(\App\Helpers\Admin::getRememberMeCookie()['password']); ?><?php endif; ?>">
                                <label class="form-label">Password</label>
                            </div>
                            <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                <label class="error" role="alert"><?php echo e($message); ?></label>
                            <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                        </div>
                        <div>
                            <input type="checkbox" style="display: none;" name="rememberme" id="rememberme" class="filled-in chk-col-cyan" <?php if(\App\Helpers\Admin::getRememberMeCookie()['email']): ?> <?php echo e('checked'); ?> <?php endif; ?>>
                            <label for="rememberme">Remember Me</label>
                        </div>
                        <div class="col-lg-12">
                            <input type="submit" value="Log In" class="btn btn-raised btn-yellow waves-effect btnLogin">
                        </div>
                    </form>
                    <div class="col-lg-12 m-t-20">
                        <a class="" href="#">Forgot Password?</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
<script src="<?php echo e(asset('assets/plugins/jquery/jquery-v3.2.1.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/bundles/libscripts.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('assets/bundles/vendorscripts.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('assets/bundles/mainscripts.bundle.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/jquery.validate.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/jquery-validation-additional-methods.min.js')); ?>"></script>
<script src="<?php echo e(asset('assets/js/toasted.min.js')); ?>"></script>
<?php echo $__env->make('admin.common.toastNotification', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<script type="text/javascript">
    $(document).ready(function(){
        function loader(showOrHide) {
            showOrHide == 'show' ? $('.page-loader-wrapper').show() : $('.page-loader-wrapper').hide() ;
        }
        <?php if(Session::has('flash-message')): ?>
            <?php if(Session::get('flash-message.status') == 'success'): ?>
                successNotification("<?php echo e(Session::get('flash-message.msg')); ?>")
            <?php elseif(Session::get('flash-message.status') == 'warning'): ?>
                warningNotification("<?php echo e(Session::get('flash-message.msg')); ?>")
            <?php else: ?>
                errorNotification("<?php echo e(Session::get('flash-message.msg')); ?>")
            <?php endif; ?>
        <?php endif; ?>
        <?php if(\App\Helpers\Admin::getRememberMeCookie()['email'] || old('email')): ?>
            $('.form-line').addClass('focused');
        <?php endif; ?>
        jQuery.validator.addMethod("validEmail", function(value, element) {
            var emailRegex = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            return this.optional(element) || (emailRegex.test(String(value).toLowerCase()));
        }, "Please enter a valid email");
        $("#loginform").validate({
            rules: {
                email: {
                    required: true,
                    email:email,
                    validEmail: true,
                },
                password: {
                    required: true,
                }
            },
            messages: {
                email: {
                    required: "Please enter email",
                    email:"Please enter a valid email",
                },
                password: {
                    required: "Please enter password",
                }
            },
            submitHandler:function(form) {
                loader('show');
                form.submit();
            },
            highlight: function (input) {
                $(input).parents('.form-line').addClass('error');
            },
            unhighlight: function (input) {
                $(input).parents('.form-line').removeClass('error');
            },
            errorPlacement: function (error, element) {
                $(element).parents('.form-group').append(error);
            }
        });
    });
</script>
<?php /**PATH /var/www/html/homespector/web/resources/views/admin/auth/login.blade.php ENDPATH**/ ?>